<?php

namespace WPEP\ACL;

class User {

  public static function profile( $user_id ) {
    if( wpep_user_profile_privacy_type( $user_id ) == WPEP_USER_PROFILE_PRIVACY_TYPE_PUBLIC )
      return true;

    return self::analytics( $user_id );
  }

  /**
   * Default Rules cannot be skipped, the filter is used when access is not normally allowed.
   *
   * @param $user_id
   * @param $type : view | manage
   * @return bool|int
   */
  public static function analytics( $user_id, $type = 'view' ) {
    if( $user_id == get_current_user_id() )
      return true;

    if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) || current_user_can( WPEP_CAP_MANAGE_SETTINGS ) )
      return true;

    if( wpep_get_setting_flag( 'enable-student-supervisor' ) && current_user_can( WPEP_CAP_SUPERVISE_STUDENTS ) ) {
      $supervisor_ids = get_user_meta( $user_id, WPEP_USER_META_SUPERVISOR_USER_ID, false );

      if( in_array( get_current_user_id(), $supervisor_ids ) )
        return true;
    }

    if( wpep_controller()->contentLibrary->has_sub_account_access_from_user_id( get_current_user_id(), $user_id ) )
      return true;

    return false;
  }

}