<?php

namespace WPEP\Admin\Coordinator\PlatformHealth;

use WPEP\Controller as WPEP_Controller;
use WPEP\ContentType as WPEP_ContentType;

class Tools extends Skeleton {

  /**
   * @var Skeleton[]
   */
  protected $_tab_instances = [];

  public function get_name() {
    return __( "Tools", "wpep" );
  }

  public function get_alias() {
    return 'tools';
  }

  public function display() {
    $tab_instance_setup_list = [
      new Tools\ShortCodeBuilder()
    ];

    foreach( $tab_instance_setup_list as $tab_instance ) {
      $this->_tab_instances[ $tab_instance->get_alias() ] = $tab_instance;
      $this->tabs[ $tab_instance->get_alias() ] = $tab_instance->get_name();
    }

    $current_tab = ( isset( $_GET['tab_inner'] ) && isset( $this->tabs[ $_GET['tab_inner'] ] ) ? $_GET['tab_inner'] : key( $this->tabs ) );

    $this->display_tabs( $current_tab );

    $this->_tab_instances[ $current_tab ]->display();
  }

}