<?php
namespace WPEP\Coordinator;

class AddOns {

  public $addOns         = [];
  public $addOnSettings  = [];
  public $check_requirements = true;

  public $addOns_missing_dependencies = [];

  /**
   * @param $alias
   * @return bool|\WPEP_AddOn_Integration
   */
  public function get_add_on($alias) {
    return isset( $this->addOns[$alias] ) ? $this->addOns[$alias] : false;
  }

  /**
   * @return \WPEP_AddOn_Integration[]
   */
  public function get_add_on_list() {
    return $this->addOns;
  }

  /**
   * @param $alias
   * @return bool|\WPEP_AddOn_Settings_Integration
   */
  public function get_add_on_settings($alias) {
    return isset( $this->addOnSettings[$alias] ) ? $this->addOnSettings[$alias] : false;
  }

  public function get_add_on_settings_list() {
    return $this->addOnSettings;
  }

  public function register( \WPEP_AddOn_Integration $addOn ) {
    $this->addOns[$addOn->get_alias()] = $addOn;
  }

  public function register_settings_page( \WPEP_AddOn_Settings_Integration $addOnSettings ) {
    $this->addOnSettings[$addOnSettings->get_alias()] = $addOnSettings;
  }

  public function _init_add_ons() {
    foreach( $this->addOns as $addOn ) {
      if( $addOn->has_requirements_met() !== true && $this->check_requirements ) {
        $this->addOns_missing_dependencies[] = $addOn->get_alias();

        continue;
      }

      $addOn->init();
    }
  }

}