<?php

namespace WPEP\Entity;

class CourseType {

  protected static $_instance;

  public static function instance() {
    if( self::$_instance === null )
      self::$_instance = new self();

    return self::$_instance;
  }

  /**
   * @param int $course_id
   * @return CourseType\Skeleton
   */
  public function get_coordinator( $course_id ) {
    $coordinator_object = false;

    $course_type = wpep_course_type_from_id( $course_id );

    if( $course_type == WPEP_COURSE_TYPE_EXECUTION_PLAN )
      $coordinator_object = new CourseType\ExecutionPlan( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_EXECUTION_PLAN_UNFOLDED )
      $coordinator_object = new CourseType\ExecutionPlanUnfolded( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_FOCUS )
      $coordinator_object = new CourseType\Focus( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_STANDARD )
      $coordinator_object = new CourseType\Standard( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_VIDEO )
      $coordinator_object = new CourseType\Video( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_ONE_OFF )
      $coordinator_object = new CourseType\Basic( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_LEARN_MAP )
      $coordinator_object = new CourseType\LearnMap( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_CHALLENGE )
      $coordinator_object = new CourseType\Challenge( $course_id );
    else if( $course_type == WPEP_COURSE_TYPE_SCORM )
      $coordinator_object = new CourseType\Scorm( $course_id );

    return apply_filters( 'wpep_course_type_coordinator', $coordinator_object, $course_id, $course_type );
  }

}