<?php

namespace WPEP\Entity;

class EmailNotification {

  public static function get_entries( $args = [] ) {
    $sql = 'SELECT SQL_CALC_FOUND_ROWS
                   wpep_em.title,
                   wpep_em.token,
                   wpep_em.is_opened,
                   wpep_em.created_at,
                   wpep_em.opened_at,
                   wpep_em.user_id,
                   wp_u.user_email
              FROM ' . wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION . ' wpep_em
          LEFT JOIN `' . wpep_wpdb()->users . '` wp_u ON wp_u.ID = wpep_em.user_id
        WHERE 1 = 1';

    if( isset( $args[ 'created_at' ] ) && is_array( $args[ 'created_at' ] ) )
      foreach( $args[ 'created_at' ] as $started_at_key => $started_at_value )
        $sql .= ' AND ( `created_at` >= "' . date( "Y-m-d H:i:s", intval( $started_at_key ) ) . '" AND `created_at` <= "' . date( "Y-m-d H:i:s", intval( $started_at_value ) ) . '" )';

    $sql .= ' ORDER BY wpep_em.created_at DESC';

    if( isset( $args['limit'] ) && $args['limit'] != 0 )
      $sql .= ' LIMIT ' . absint( $args[ 'limit' ] );

    if( isset( $args['offset'] ) && $args['offset'] != 0 )
      $sql .= ' OFFSET ' . absint( $args[ 'offset' ] );

    if( !isset( $args[ 'count_total' ] ) || $args[ 'count_total' ] == false )
      return wpep_wpdb()->get_results( $sql );

    return [
      'results' => wpep_wpdb()->get_results( $sql ),
      'total'   => absint( wpep_wpdb()->get_var( 'SELECT FOUND_ROWS();' ) )
    ];
  }

  public static function get_entries_analyze( $args = [] ) {
    $where = ' 1 = 1';

    if( isset( $args[ 'created_at' ] ) && is_array( $args[ 'created_at' ] ) )
      foreach( $args[ 'created_at' ] as $started_at_key => $started_at_value )
        $where .= ' AND ( `created_at` >= "' . date( "Y-m-d H:i:s", intval( $started_at_key ) ) . '" AND `created_at` <= "' . date( "Y-m-d H:i:s", intval( $started_at_value ) ) . '" )';

    $sql = 'SELECT title, 
                             COUNT( * ) as sent_count,
                             SUM( is_opened ) as open_count, 
                             min( created_at ) as first_date,
                             max( created_at ) as last_date 
                      FROM `' . wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION . '`
                     WHERE ' . $where . '
                      GROUP BY title';
    $sql = 'SELECT wpep_en.* FROM ( ' . $sql . ' ) wpep_en ORDER BY wpep_en.last_date DESC';

    if( isset( $args['limit'] ) && $args['limit'] != 0 )
      $sql .= ' LIMIT ' . absint( $args[ 'limit' ] );

    if( isset( $args['offset'] ) && $args['offset'] != 0 )
      $sql .= ' OFFSET ' . absint( $args[ 'offset' ] );

    if( !isset( $args[ 'count_total' ] ) || $args[ 'count_total' ] == false )
      return wpep_wpdb()->get_results( $sql );

    return [
      'results' => wpep_wpdb()->get_results( $sql ),
      'total'   => intval( wpep_wpdb()->get_var( 'SELECT COUNT( DISTINCT title) FROM `' . wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION . '` WHERE ' . $where ) )
    ];
  }

  public static function get_delivery_count( $args = false ) {
    $query_entries_total = 'SELECT COUNT( * ) FROM `' . wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION . '` WHERE 1 = 1';

    if( isset( $args['title'] ) )
      $query_entries_total .= ' AND title = "' . esc_sql( $args['title'] ) . '"';

    if( isset( $args['time_from'] ) )
      $query_entries_total .= ' AND `created_at` >= "' . date( "Y-m-d H:i:s", $args['time_from'] ) . '"';

    if( isset( $args['time_to'] ) )
      $query_entries_total .= ' AND `created_at` < "' . date( "Y-m-d H:i:s", $args['time_to'] ) . '"';

    return absint( wpep_wpdb()->get_var( $query_entries_total ) );
  }

  public static function get_open_count( $args = false ) {
    $query_entries_total = 'SELECT COUNT( * ) FROM `' . wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION . '` WHERE 1 = 1';

    if( isset( $args['title'] ) )
      $query_entries_total .= ' AND title = "' . esc_sql( $args['title'] ) . '"';

    if( isset( $args['time_from'] ) )
      $query_entries_total .= ' AND `opened_at` >= "' . date( "Y-m-d H:i:s", $args['time_from'] ) . '"';

    if( isset( $args['time_to'] ) )
      $query_entries_total .= ' AND `opened_at` < "' . date( "Y-m-d H:i:s", $args['time_to'] ) . '"';

    return absint( wpep_wpdb()->get_var( $query_entries_total ) );
  }


}
