<?php

if( !function_exists( 'wpep_wpdb' ) ) {

  /**
   * @return \wpdb
   */
  function wpep_wpdb() {
    global $wpdb;

    return $wpdb;
  }

}

if( !function_exists( 'wpep_dbDelta' ) ) {

  /**
   * @param $query
   */
  function wpep_dbDelta( $query ) {
    if( !function_exists( 'dbDelta' ) )
      require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

    dbDelta( $query );
  }

}

if( !function_exists( 'wpep_sql_where' ) ) {
  function wpep_sql_where( $where, $whitelist = [], $table_name = false, $column_table = false ) {
    return wpep_controller()->sql->statement_where( $where, $whitelist, $table_name, $column_table );
  }
}

if( !function_exists( 'wpep_sql_query_data_verification_map' ) ) {

  /**
   * @param $table
   * @param $table_information
   * @return string
   */
  function wpep_sql_query_data_verification_map( $table, $table_information ) {
    $sql  = 'SELECT COUNT( current_table.`' . $table_information[ 'primary_column' ] . '` ) as entry_count,
                    GROUP_CONCAT( current_table.`' . $table_information[ 'primary_column' ] . '` SEPARATOR "," ) as entry_primary_column_values';

    foreach( $table_information[ 'column_filter_list' ] as $column_name => $column_white_list_values )
      $sql .= ',current_table.' . '`' . $column_name . '`';

    $sql .= ' FROM `' . $table . '` current_table WHERE 1 = 1';

    foreach( $table_information[ 'column_filter_list' ] as $column_name => $column_white_list_values ) {
      if( empty( $column_white_list_values ) )
        continue;

      $sql .= ' AND current_table.`' . $column_name . '` IN ( "' . implode( '","', $column_white_list_values ) . '" )';
    }

    $sql .= ' GROUP BY ';

    $i = 1; foreach( $table_information[ 'column_filter_list' ] as $column_name => $column_white_list_values ) {
      $sql .= ( $i > 1 ? ',' : '' ) . 'current_table.`' . $column_name . '`';

      $i++;
    }

    $sql = 'SELECT outer_table.* FROM ( ' . $sql . ') outer_table WHERE outer_table.entry_count >= 2';

    return $sql;
  }

}
