<?php

function wpep_discussion_direct_url_enabled() {
  return apply_filters( 'wpep_discussion_direct_url_enabled', wpep_get_setting_flag( 'comments-direct-url-status' ) );
}

/**
 * @todo Make this less of a big hack.
 * @param $discussion_comment
 * @return array|mixed|string
 */
function wpep_discussion_comment_content_email( $discussion_comment ) {
  $response = wpep_utilities_sanitize_input( $discussion_comment->content );

  if( strpos( $response, 'wpep-discussion-mention-item' ) === false )
    return $response;

  $mention_style_span = 'margin: 0 !important;
      font-size: 20px !important;
      line-height: 0 !important;
      cursor: default !important;
      min-height: 18px !important;
      position: relative !important;
      background: #f1f1f1 !important;
      vertical-align: top !important;
      text-transform: none !important;
      text-decoration: none !important;
      display: inline-block !important;
      padding: 1px 8px 1px 1px !important;
      -moz-border-radius: 50px !important;
      -webkit-border-radius: 50px !important;
      border-radius: 50px !important;';
  $mention_style_img = 'padding: 0 !important;
      width: 20px !important;
      height: 20px !important;
      font-size: 0 !important;
      line-height: 0 !important;
      cursor: default !important;
      margin: 0 6px 0 0 !important;
      background: #bdbdbd !important;
      vertical-align: top !important;
      display: inline-block !important;
      -moz-border-radius: 50%!important;
      -webkit-border-radius: 50%!important;
      border-radius: 50%!important;
      -moz-box-shadow: none!important;
      -webkit-box-shadow: none!important;
      box-shadow: none!important;';
  $mention_style_name = 'margin: 0 !important;
      padding: 0 !important;
      color: #242424 !important;
      cursor: default !important;
      font-size: 15px !important;
      font-weight: 400 !important;
      line-height: 20px !important;
      letter-spacing: 0 !important;
      vertical-align: top !important;
      text-transform: none !important;
      text-decoration: none !important;
      display: inline-block !important;
      word-wrap: break-word !important;';

  $response = str_replace( 'class="wpep-discussion-mention-item"', 'class="wpep-discussion-mention-item" style="' . implode( '', explode( "\n", $mention_style_span ) ). '"', $response );
  $response = str_replace( 'class="wpep-discussion-mention-item-image"', 'class="wpep-discussion-mention-item-image" style="' . implode( '', explode( "\n", $mention_style_img ) ). '"', $response );
  $response = str_replace( 'class="wpep-discussion-mention-item-name"', 'class="wpep-discussion-mention-item-name" style="' . implode( '', explode( "\n", $mention_style_name ) ). '"', $response );

  return $response;
}

function wpep_discussion_comment_content( $discussion_comment ) {
  $comment_content = $discussion_comment->content;

  if( user_can( $discussion_comment->user_id, WPEP_CAP_MANAGE_SETTINGS ) ) {
    $comment_content = do_shortcode( $comment_content );
  } else {
    add_filter( 'strip_shortcodes_tagnames', '_wpep_discussion_comment_content_stripped_shortcodes', 100 );

    $comment_content = strip_shortcodes( $comment_content );

    $comment_content = do_shortcode( $comment_content );

    remove_filter( 'strip_shortcodes_tagnames', '_wpep_discussion_comment_content_stripped_shortcodes', 100 );
  }

  $comment_content = wpep_format_content_autoembed( $comment_content );
  $comment_content = make_clickable( nl2br( $comment_content ) );

  return $comment_content;
}

function _wpep_discussion_comment_content_stripped_shortcodes( $tags_to_remove ) {
  $tags_to_remove = array_diff( $tags_to_remove, [ 'video', 'wpep_video', WPEP_SHORT_CODE_PREFIX . 'video', 'audio' ] );

  return $tags_to_remove;
}

function wpep_discussion_format_date( $to_format ) {
  $to_format = is_numeric( $to_format ) ? $to_format : strtotime( $to_format );

  $time = wpep_format_date( $to_format, get_option( 'time_format' ) );
  $date = wpep_format_date( $to_format, get_option( 'date_format' ) );

  return '<span class="wpep-post-comments-date">' . $date . '</span> <span class="wpep-post-comments-time">' . $time . '</span>';
}

function wpep_discussion_notifications_intervals() {
  return [
    300     => __( "Every 5 Minutes", "wpep" ),
    600     => __( "Every 10 Minutes", "wpep" ),
    900     => __( "Every 15 Minutes", "wpep" ),
    1800    => __( "Every 30 Minutes", "wpep" ),
    3600    => __( "Every Hour", "wpep" ),
    28800   => __( "Every 8 Hours", "wpep" ),
    57600   => __( "Every 16 Hours", "wpep" ),
    86400   => __( "Every Day", "wpep" ),
    604800  => __( "Weekly", "wpep" ),
  ];
}

function wpep_discussion_direct_url_link( $discussion_identifier = false, $comment_id = false ) {
  $response = get_site_url() . '/' . wpep_controller()->discussion->directURL->discussion_identifier . '/';

  if( $discussion_identifier === false )
    return $response;

  $response .= urlencode( $discussion_identifier ) . '/';

  if( $comment_id !== false )
    $response .= '#comment-' . intval( $comment_id );

  return $response;
}