// @codekit-append "wpep-scorm-player/_data_type.js"
// @codekit-append "wpep-scorm-player/_functions.js"
// @codekit-append "wpep-scorm-player/cmi.js"
// @codekit-append "wpep-scorm-player/lms.js"
// @codekit-append "wpep-scorm-player/scorm-api.js"
// @codekit-append "wpep-scorm-player/_catch_ignored.js"
function scoCheckDataTypeAndVocab(e,r,t){switch(t){case"CMIBlank":return checkCMIBlank(r);break;case"CMIBoolean":return checkCMIBoolean(r);break;case"CMIDecimal":return checkCMIDecimal(r);break;case"CMIFeedback":return checkCMIFeedback(e,r);break;case"CMIIdentifier":return checkCMIIdentifier(r);break;case"CMIInteger":return checkCMIInteger(r);break;case"CMISInteger":return checkCMISInteger(e,r);break;case"CMIString255":return checkCMIString255(r);break;case"CMIString4096":return checkCMIString4096(r);break;case"CMITime":return checkCMITime(r);break;case"CMITimespan":return checkCMITimespan(r);break;case"CMIVocabularyCredit":return checkCMIVocabularyCredit(r);break;case"CMIVocabularyStatus":return checkCMIVocabularyStatus(e,r);break;case"CMIVocabularyEntry":return checkCMIVocabularyEntry(r);break;case"CMIVocabularyMode":return checkCMIVocabularyMode(r);break;case"CMIVocabularyExit":return checkCMIVocabularyExit(r);break;case"CMIVocabularyTimeLimitAction":return checkCMIVocabularyTimeLimitAction(r);break;case"CMIVocabularyInteraction":return checkCMIVocabularyInteraction(r);break;case"CMIVocabularyResult":return checkCMIVocabularyResult(r);break;case"CMIDecimalOrCMIBlank":return checkCMIDecimalOrCMIBlank(r);break;default:return"true";break}}function checkCMIDecimalOrCMIBlank(e){var r=checkCMIBlank(e),t=checkCMIDecimal(e);return"true"==r||"true"==t?e>100||e<0?"false":"true":"false"}function checkCMIVocabularyResult(e){var r;return"true"===checkCMIDecimal(e)?"true":"correct"===e||"wrong"===e||"unanticipated"===e||"neutral"===e?"true":"false"}function checkCMIVocabularyInteraction(e){return"true-false"===e||"choice"===e||"fill-in"===e||"matching"===e||"performance"===e||"likert"===e||"sequencing"===e||"numeric"===e?"true":"false"}function checkCMIVocabularyTimeLimitAction(e){return"exit,message"===e||"exit,no message"===e||"continue,message"===e||"continue,no message"===e?"true":"false"}function checkCMIVocabularyExit(e){return"time-out"===e||"suspend"===e||"logout"===e||""===e?"true":"false"}function checkCMIVocabularyMode(e){return"normal"===e||"review"===e||"browse"===e?"true":"false"}function checkCMIVocabularyEntry(e){return"ab-initio"===e||"resume"===e||""===e?"true":"false"}function checkCMIVocabularyStatus(e,r){
// sco cannot set lesson_status to not attempted
return("cmi.core.lesson_status"!==e||"not attempted"!==r)&&("passed"===r||"completed"===r||"failed"===r||"incomplete"===r||"browsed"===r||"not attempted"===r?"true":"false")}function checkCMIVocabularyCredit(e){return"credit"===e||"no-credit"===e?"true":"false"}function checkCMITimespan(e){
// must have some colons...
if(-1===e.indexOf(":"))return"false";
// must contain at least 2 colons, giving 3 array elements...
var r=e.split(":");if(r.length<3)return"false";
// hours must be 4,3 or 2 digits...
if(r[0].length<2||r[0].length>4)return"false";
// minutes must be 2 digits...
if(2!==r[1].length)return"false";
// must be numbers...
if(isNaN(r[0])||isNaN(r[1])||isNaN(r[2]))return"false";
// 24hr clock for hours...
if(parseInt(r[0])<0)return"false";
// parse minutes
// NOTE: Seems illegal to have 99 minutes, but ADL 1.2
// SCORM Conformance Test Suite does this? I'll do the same...
// if (parseInt(cmiArray[1]) < 0 || parseInt(cmiArray[1]) > 59){
if(parseInt(r[1])<0)return"false";
// check for decimal place...
if(-1!==r[2].indexOf(".")){var t=r[2].split(".");
// can only be 2 values here...
if(2!==t.length)return"false";
// again they must be numbers...
if(isNaN(t[0])||isNaN(t[1]))return"false";
// only two digits allowed for seconds...
if(2!==t[0].length)return"false";
// make sure there is less than 60 seconds here...
if(parseInt(t[0])>59)return"false";
// only one or two digits allowed for milliseconds...
if(t[1].length>2)return"false"}else{
// no dots, so must be no milliseconds...
// make sure length is 2
if(2!==r[2].length)return"false";
// make sure there is less than 60 seconds here...
if(parseInt(r[2])>59)return"false"}
// got up to here, then value okay...
return"true"}function checkCMITime(e){
// must have some colons...
if(-1===e.indexOf(":"))return"false";
// must contain at least 2 colons, giving 3 array elements...
var r=e.split(":");if(r.length<3)return"false";
// hours & minutes must be 2 digits...
if(2!==r[0].length||2!==r[1].length)return"false";
// must be numbers...
if(isNaN(r[0])||isNaN(r[1])||isNaN(r[2]))return"false";
// 24hr clock for hours...
if(parseInt(r[0])<0||parseInt(r[0])>23)return"false";
// parse minutes
if(parseInt(r[1])<0||parseInt(r[1])>59)return"false";
// check for decimal place...
if(-1!==r[2].indexOf(".")){var t=r[2].split(".");
// can only be 2 values here...
if(2!=t.length)return"false";
// again they must be numbers...
if(isNaN(t[0])||isNaN(t[1]))return"false";
// only two digits allowed for seconds...
if(2!==t[0].length)return"false";
// make sure there is less than 60 seconds here...
if(parseInt(t[0])>59)return"false";
// only one or two digits allowed for milliseconds...
if(t[1].length>2)return"false"}else{
// no dots, so must be no milliseconds...
// make sure length is 2
if(2!==r[2].length)return"false";
// make sure there is less than 60 seconds here...
if(parseInt(r[2])>59)return"false"}
// got up to here, then value okay...
return"true"}function checkCMIString4096(e){return e.length<=4096?"true":"false"}function checkCMIString255(e){return e.length<=255?"true":"false"}function checkCMISInteger(e,r){if(isNaN(r))return"false";var t=parseInt(r);return t>=-32768&&t<=32768?"cmi.student_preference.audio"===e?t<-1||t>100?"false":"true":"cmi.student_preference.speed"===e?t<-100||t>100?"false":"true":"cmi.student_preference.text"===e&&(t<-1||t>1)?"false":"true":"false"}function checkCMIInteger(e){if(isNaN(e))return"false";var r=parseInt(e);return r>=0&&r<=65536?"true":"false"}function checkCMIIdentifier(e){var r=" ",t="\t",n="\r",a="\n";return-1===e.indexOf(" ")&&-1===e.indexOf(t)&&-1===e.indexOf("\r")&&-1===e.indexOf("\n")&&e.length>0&&e.length<256?"true":"false"}function checkCMIFeedback(element,value){
// need to find the type (if its set)
var cmiArray=element.split(".");
// need to check cmiArray[2] to see if its a number
if(isNaN(cmiArray[2]))
// this should be a number. However, Err on the side of caution...
return"false";
// make sure that this interaction already exists...
var res=API.LMSGetValue("cmi.interactions._count");if(parseInt(cmiArray[2])>=parseInt(res))
// then this interaction does not exist.. However, Err on the side of caution...
return"false";
// Up to here? - then get the type
var theType="cmi.interactions.intArray("+cmiArray[2]+").type";if(elementObj=eval("API."+theType+";"),null===elementObj)return"false";if(datatype=elementObj.cmivalue,null===datatype)return"false";
// its not null, so it equals something, so...
switch(datatype){case"true-false":return checkTrueFalse(value);break;case"choice":return checkChoice(value);break;case"fill-in":return checkFillIn(value);break;case"numeric":return checkCMIDecimal(value);break;case"likert":return checkLikert(value);break;case"matching":return checkMatching(value);break;case"performance":return checkCMIString255(value);break;case"sequencing":return checkSequencing(value);break;
// if its not been set then we should return false.  That would mean
// that a cmi.interaction.n.type MUST have a value and cannot be empty
default:return"false";break}}function checkMatching(e){
// check for n.n
var r,t=/^[a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1},{1}([a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1},{1})*[a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1}$/,n=/^[a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1},{1}([a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1},{1})*[a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1}$/;
// check for n.n,n.n,n.n etc
return/^[a-z,A-Z,0-9]{1}.{1}[a-z,A-Z,0-9]{1}$/.test(e)?"true":t.test(e)?"true":n.test(e)?"true":"false"}function checkSequencing(e){
// test for single a-z 0-9
var r,t=/^[a-z,A-Z,0-9]{1},{1}([a-z,A-Z,0-9],)*[a-z,A-Z,0-9]{1}$/;
// test for format 1,2,3,a,b,c
return/^[a-z,A-Z,0-9]{1}$/.test(e)?"true":t.test(e)?"true":"false"}function checkChoice(e){
// test for single a-z 0-9
var r,t=/^[a-z,A-Z,0-9]{1},{1}([a-z,A-Z,0-9],)*[a-z,A-Z,0-9]{1}$/,n=/^[a-z,A-Z,0-9]{1},{1}([a-z,A-Z,0-9],)*[a-z,A-Z,0-9]{1}$/;
// test for format 1,2,3,a,b,c
return/^[a-z,A-Z,0-9]{1}$/.test(e)?"true":t.test(e)?"true":n.test(e)?"true":"false"}function checkFillIn(e){return checkCMIString255(e)}function checkTrueFalse(e){return"0"===e||"1"===e||"t"===e||"f"===e||"T"===e||"F"===e?"true":"false"}function checkLikert(e){return 0===e.length?"true":e.length>1?"false":/^[a-z,A-Z,0-9]{1}$/.test(e)?"true":"false";var r}function checkCMIDecimal(e){return isNaN(e)?"false":"true"}function checkCMIBoolean(e){return"true"===e||"false"===e?"true":"false"}function checkCMIBlank(e){return""!==e?"false":"true"}function calculate_scorm_session_total_time(e,r){var t=e.split(":"),n=r.split(":"),a=t[2].split("."),i=n[2].split("."),s=0;FirstCents=0,//Cents
a.length>1&&(FirstCents=parseInt(a[1],10)),SecondCents=0,i.length>1&&(SecondCents=parseInt(i[1],10));var o=FirstCents+SecondCents;o-=100*(s=Math.floor(o/100)),Math.floor(o)<10&&(o="0"+o.toString());var c=parseInt(a[0],10)+parseInt(i[0],10)+s;//Seconds
return c-=60*(s=Math.floor(c/60)),Math.floor(c)<10&&(c="0"+c.toString()),mins=parseInt(t[1],10)+parseInt(n[1],10)+s,//Minutes
s=Math.floor(mins/60),mins-=60*s,mins<10&&(mins="0"+mins.toString()),hours=parseInt(t[0],10)+parseInt(n[0],10)+s,//Hours
hours<10&&(hours="0"+hours.toString()),"0"!=o?hours+":"+mins+":"+c+"."+o:hours+":"+mins+":"+c}function CMIModel(){this._version=new CMIComponent("_version","3.4","readonly",""),this.core=new CMICoreModel,this.suspend_data=new CMIComponent("suspend_data","","both","CMIString4096"),this.launch_data=new CMIComponent("launch_data","","readonly","CMIString4096"),this.comments=new CMIComponent("comments","","both","CMIString4096"),this.comments_from_lms=new CMIComponent("comments_from_lms","","readonly","CMIString4096"),this.objectives=new ObjectivesModel,this.student_data=new StudentDataModel,this.student_preference=new StudentPreferenceModel,this.interactions=new InteractionsModel}function CMICoreModel(){this._children=new CMIComponent("_children","student_id,student_name,lesson_location,credit,lesson_status,entry,score,total_time,lesson_mode,exit,session_time","readonly","CMIString255"),this.student_id=new CMIComponent("student_id","","readonly","CMIIdentifier"),this.student_name=new CMIComponent("student_name","","readonly","CMIString255"),this.lesson_location=new CMIComponent("lesson_location","","both","CMIString255"),this.credit=new CMIComponent("credit","","readonly","CMIVocabularyCredit"),this.lesson_status=new CMIComponent("lesson_status","","both","CMIVocabularyStatus"),this.entry=new CMIComponent("entry","","readonly","CMIVocabularyEntry"),this.score=new CMIScore,this.total_time=new CMIComponent("total_time","","readonly","CMITimespan"),this.lesson_mode=new CMIComponent("lesson_mode","","readonly","CMIVocabularyMode"),this.exit=new CMIComponent("exit","","writeonly","CMIVocabularyExit"),this.session_time=new CMIComponent("session_time","","writeonly","CMITimespan")}function CMIScore(){this._children=new CMIComponent("_children","raw,min,max","readonly","CMIString255"),this.raw=new CMIComponent("raw","","both","CMIDecimalOrCMIBlank"),this.max=new CMIComponent("max","","both","CMIDecimalOrCMIBlank"),this.min=new CMIComponent("min","","both","CMIDecimalOrCMIBlank")}function StudentPreferenceModel(){this._children=new CMIComponent("_children","audio,language,speed,text","readonly","CMIString255"),this.audio=new CMIComponent("audio","0","both","CMISInteger"),this.language=new CMIComponent("language","","both","CMIString255"),this.speed=new CMIComponent("speed","0","both","CMISInteger"),this.text=new CMIComponent("text","0","both","CMISInteger")}function StudentDataModel(){this._children=new CMIComponent("_count","mastery_score,max_time_allowed,time_limit_action","readonly","CMIString255"),this.mastery_score=new CMIComponent("mastery_score","","readonly","CMIDecimal"),this.max_time_allowed=new CMIComponent("max_time_allowed","","readonly","CMITimespan"),this.time_limit_action=new CMIComponent("time_limit_action","","readonly","CMIVocabularyTimeLimitAction")}function ObjectivesModel(){this._children=new CMIComponent("_children","id,score,status","readonly","CMIString255"),this._count=new CMIComponent("_count",0,"readonly","CMIInteger"),this.objArray=ObjectiveArrayModel,this.objArr=new Array}function ObjectiveArrayModel(e){return e>this._count.cmivalue-1?e==this._count.cmivalue?(
// then create new one...
this.objArr[e]=new singleObjectiveModel,this._count.cmivalue=this._count.cmivalue+1,this.objArr[e]):"false":this.objArr[e]}function singleObjectiveModel(){this.id=new CMIComponent("id","","both","CMIIdentifier"),this.score=new objectiveScoreModel,this.status=new CMIComponent("status","","both","CMIVocabularyStatus")}function objectiveScoreModel(){this._children=new CMIComponent("_children","raw,min,max","readonly","CMIString255"),this.raw=new CMIComponent("raw","","both","CMIDecimalOrCMIBlank"),this.min=new CMIComponent("min","","both","CMIDecimalOrCMIBlank"),this.max=new CMIComponent("max","","both","CMIDecimalOrCMIBlank")}function InteractionsModel(){this._children=new CMIComponent("_children","id,objectives,time,type,correct_responses,weighting,student_response,result,latency","readonly","CMIString255"),this._count=new CMIComponent("_count",0,"readonly","CMIInteger"),this.intArray=InteractionsArrayModel,this.intArr=new Array}function InteractionsArrayModel(e){return e>this._count.cmivalue-1?e==this._count.cmivalue?(
// then create new one...
this.intArr[e]=new singleInteractionModel,this._count.cmivalue=this._count.cmivalue+1,this.intArr[e]):"false":this.intArr[e]}function singleInteractionModel(){this.id=new CMIComponent("id","","writeonly","CMIIdentifier"),this.objectives=new ObjectivesInteractionModel,this.time=new CMIComponent("time","","writeonly","CMITime"),this.type=new CMIComponent("type","","writeonly","CMIVocabularyInteraction"),this.correct_responses=new CorrectResponsesInteractionModel,this.weighting=new CMIComponent("weighting","","writeonly","CMIDecimal"),this.student_response=new CMIComponent("student_response","","writeonly","CMIFeedback"),this.result=new CMIComponent("result","","writeonly","CMIVocabularyResult"),this.latency=new CMIComponent("latency","","writeonly","CMITimespan")}function ObjectivesInteractionModel(){this._count=new CMIComponent("_count",0,"readonly","CMIInteger"),this.objectivesInteractionArray=SingleObjectivesInteractionModel,this.objectivesInteractionArr=new Array}function SingleObjectivesInteractionModel(e){return e>this._count.cmivalue-1?e==this._count.cmivalue?(
// then create new one...
this.objectivesInteractionArr[e]=new SingleItemObjectivesInteractionModel,this._count.cmivalue=this._count.cmivalue+1,this.objectivesInteractionArr[e]):"false":this.objectivesInteractionArr[e]}function SingleItemObjectivesInteractionModel(){this.id=new CMIComponent("id","","writeonly","CMIIdentifier")}function CorrectResponsesInteractionModel(){this._count=new CMIComponent("_count",0,"readonly","CMIInteger"),this.correctResponsesInteractionArray=SingleCorrectResponsesInteractionModel,this.correctResponsesInteractionArr=new Array}function SingleCorrectResponsesInteractionModel(e){return e>this._count.cmivalue-1?e==this._count.cmivalue?(
// then create new one...
this.correctResponsesInteractionArr[e]=new SingleItemCorrectResponsesInteractionModel,this._count.cmivalue=this._count.cmivalue+1,this.correctResponsesInteractionArr[e]):"false":this.correctResponsesInteractionArr[e]}function SingleItemCorrectResponsesInteractionModel(){this.pattern=new CMIComponent("pattern","","writeonly","CMIFeedback")}// @codekit-prepend "cmi/client-side.js"
// @codekit-prepend "cmi/objectives.js"
// @codekit-prepend "cmi/interactions.js"
function CMIComponent(e,r,t,n){this.cminame=e,this.cmivalue=r,this.cmireadStatus=t,this.cmidatatype=n}function loadDataIntoModel(element,value){if("cmi.interactions._count"!=element&&"cmi.interactions._count"!=element)if(-1!=element.indexOf("cmi.objectives"))dealWithSettingObjectives(element,value);else if(-1!=element.indexOf("cmi.interactions"))dealWithSettingInteractions(element,value);else{var result=eval("API."+element);null!=result&&(result.cmivalue=value)}}
/*
* Top level object to hold complete CMI data model and API methods
*/
function GenericAPIAdaptor(){this.cmi=new CMIModel,this.LMSInitialize=LMSInitializeMethod,this.LMSGetValue=LMSGetValueMethod,this.LMSSetValue=LMSSetValueMethod,this.LMSCommit=LMSCommitMethod,this.LMSFinish=LMSFinishMethod,this.LMSGetLastError=LMSGetLastErrorMethod,this.LMSGetErrorString=LMSGetErrorStringMethod,this.LMSGetDiagnostic=LMSGetDiagnosticMethod,this.ServerSco=new ServerScoSettings}
/*
* LMSInitialize. Initialize this sco (if it is one)
*/function LMSInitializeMethod(e){
// check that this has been called with an empty string...
return""!=e?(this.ServerSco.lastError="201","false"):
// check that we are not already initialized...
"false"==this.ServerSco.isInitialized?(this.ServerSco.isInitialized="true",this.ServerSco.lastError="0","true"):(this.ServerSco.lastError="101","false")}
/*
* LMSFinish. Finish this sco session.
*/function LMSFinishMethod(e){
// check that this has been called with an empty string...
return""!=e?(this.ServerSco.lastError="201","false"):
// make sure that the server is initialized...
"true"==this.ServerSco.isInitialized?(this.ServerSco.isInitialized="false",this.ServerSco.lastError="0","true"):(
// not initialized
this.ServerSco.lastError="301","false")}
/*
* LMSCommit.  Method to update/persist any changed items in the CMI datamodel
*/function LMSCommitMethod(e){
// check that this has been called with an empty string...
return""!=e?(this.ServerSco.lastError="201","false"):"true"==this.ServerSco.isInitialized?(this.ServerSco.lastError="0","true"):(
// not initialized
this.ServerSco.lastError="301","false")}
/*
* LMSGetValue.  Method to allow sco to read/access CMI datamodel elements
*/function LMSGetValueMethod(element){if("true"==this.ServerSco.isInitialized){var invalid="false",cannotHaveChildren="false",isNotAnArray="false";
// dont bother doing this if we have already found an error...
if(
// this checks to make sure there is at least one dot in the value
-1==element.indexOf(".")&&(invalid="true"),"true"!=invalid){
// we then loop around the children, making sure they exist one, by one...
var cmiArray=element.split("."),teststring="this";for(i=0;i<cmiArray.length;i++){if(doesExist=eval(teststring+"."+cmiArray[i]+";"),null==doesExist){invalid="true",
// check for invalid _children call
"_children"==cmiArray[i]&&(cannotHaveChildren="true"),
// check for invalid _count call
"_count"==cmiArray[i]&&(isNotAnArray="true");break}
// WE NEED TO TRAP THE OBJECTIVES...
if(teststring=teststring+"."+cmiArray[i],"this.cmi.objectives"==teststring)return dealWithGettingObjectives(element);
// WE NEED TO TRAP THE INTERACTIONS...
if("this.cmi.interactions"==teststring)return dealWithGettingInteractions(element)}}
// user tried to call _count on a non-array value
return"true"==isNotAnArray?(this.ServerSco.lastError="203",""):
// user tried to call _children on an element that didnt support it
"true"==cannotHaveChildren?(this.ServerSco.lastError="202",""):
// if there was some kind of error found above, then...
"true"==invalid?(this.ServerSco.lastError="401",""):(
// otherwise its a valid model reference...
elementObj=eval("this."+element),
// next we will check to make sure this element is not writeonly..
"writeonly"==elementObj.cmireadStatus?(this.ServerSco.lastError="404",""):(
// its okay and user can read it...
this.ServerSco.lastError="0",elementObj.cmivalue))}
// not initialized...
return this.ServerSco.lastError="301",""}
/*
* LMSSetValue.  Method to allow sco to write data to CMI datamodel
*/function LMSSetValueMethod(element,value){if(value=unescape(value),"true"==this.ServerSco.isInitialized){var invalid="false",cannotHaveChildren="false",isNotAnArray="false";
// check for sco trying to set _children & _count
//element is a keyword, cannot set...
if(-1!=element.indexOf("._children")||-1!=element.indexOf("._count"))return this.ServerSco.lastError="402","false";
// this checks to make sure there is at least one dot in the value
// if it doesnt, then it cant be a valid CMI model reference
// dont bother doing this if we have already found an error...
if(-1==element.indexOf(".")&&(invalid="true"),"true"!=invalid){
// we then loop around the children, making sure they exist one, by one...
var cmiArray=element.split("."),teststring="this";for(i=0;i<cmiArray.length;i++){if(doesExist=eval(teststring+"."+cmiArray[i]+";"),null==doesExist){invalid="true",
// check for invalid _children call
"_children"==cmiArray[i]&&(cannotHaveChildren="true"),
// check for invalid _count call
"_count"==cmiArray[i]&&(isNotAnArray="true");break}
// WE NEED TO TRAP THE OBJECTIVES...
if(teststring=teststring+"."+cmiArray[i],"this.cmi.objectives"==teststring)return dealWithSettingObjectives(element,value);
// WE NEED TO TRAP THE INTERACTIONS...
if("this.cmi.interactions"==teststring)return dealWithSettingInteractions(element,value)}}
// user tried to call _count on a non-array value
if("true"==isNotAnArray)return this.ServerSco.lastError="203","false";
// user tried to call _children on an element that didnt support it
if("true"==cannotHaveChildren)return this.ServerSco.lastError="202","false";
// if there was some kind of error found above, then...
if("true"==invalid)return this.ServerSco.lastError="401","false";
// check that its writeable...
if(
// otherwise its a valid model reference...
elementObj=eval("this."+element),"readonly"==elementObj.cmireadStatus)return this.ServerSco.lastError="403","false";
// check the datatype and vocabulary...
var datatype=elementObj.cmidatatype;if(res=this.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// cmi.comments need to be appended...
"cmi.comments"==element?(pre=this.LMSGetValue("cmi.comments"),setString="this."+element+'.cmivalue ="'+pre+value+'";'):setString="this."+element+'.cmivalue ="'+value+'";';var result=eval(setString);return this.ServerSco.lastError="0","true"}
// incorrect data type...
return this.ServerSco.lastError="405","false"}
// not initialized...
return this.ServerSco.lastError="301","false"}function LMSGetErrorStringMethod(e){switch(e){case"0":return"No error";break;case"101":return"General exception";break;case"201":return"Invalid argument error";break;case"202":return"Element cannot have children";break;case"203":return"Element not an array - Cannot have count";break;case"301":return"Not initialized";break;case"401":return"Not implemented error";break;case"402":return"Invalid set value, element is a keyword";break;case"403":return"Element is read only";break;case"404":return"Element is write only";break;case"405":return"Incorrect Data Type";break;default:return"";break}
// just to be safe...
}function LMSGetLastErrorMethod(){return this.ServerSco.lastError}function LMSGetDiagnosticMethod(e){switch(""==e&&(e=this.ServerSco.lastError),e){case"0":return"No error. No errors were encountered. Successful API call.";break;case"101":return"General exception. An unexpected error was encountered.";break;case"201":return"Invalid argument error. A call was made to a DataModel element that does not exist.";break;case"202":return"Element cannot have children. A call was made to an Element that does not support _children";break;case"203":return"Element is not an array.  Cannot have count. A call was made to an Element that does not support _count.";break;case"301":return"Not initialized. The SCO has not yet been initialized.  It needs to call LMSInitialize() first.";break;case"401":return"Not implemented error.  A call was made to a DataModel element that is not supported.";break;case"402":return"Invalid set value, element is a keyword.  Keyword values cannot be changed";break;case"403":return"Element is read only.  A call was made to set the value of a read-only element.";break;case"404":return"Element is write only.  A call was made to get the value of a write-only element.";break;case"405":return"Incorrect Data Type.  The syntax of a call to change an element was incorrect.";break;default:return"";break}}
/*
*  Object ServerScoSettings()
*  Used to store server specific settings and error codes etc..
*  Is accessed as an object inside this implementation of the API object.
*/function ServerScoSettings(){this.isInitialized="false",this.lastError="0",this.checkDataTypeAndVocab=scoCheckDataTypeAndVocab}function dealWithGettingObjectives(element){
// RETURN _CHILDREN
if("cmi.objectives._children"==element)return API.ServerSco.lastError="0",API.cmi.objectives._children.cmivalue;
// RETURN _COUNT
if("cmi.objectives._count"==element)return API.ServerSco.lastError="0",API.cmi.objectives._count.cmivalue;
// ELSE CHECK THAT THE ELEMENT IS VALID AND HAS AT LEAST 3 PARAMS
var cmiArray=element.split(".");if(cmiArray.length<3)return API.ServerSco.lastError="201","";var theCount=API.cmi.objectives._count.cmivalue;
// IF 3RD ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[2] to see if its a number
if(isNaN(cmiArray[2]))return API.ServerSco.lastError="401","";
// IF ITS A NUMBER MAKE SURE ITS IN THE ARRAY BOUNDS
if(cmiArray[2]>=theCount)
// call to array is out of bounds
return API.ServerSco.lastError="201","";// WEVE GOT TO THE POINT OF VALIDATING cmi.objective.n
// does this element exist in the objectives array? - sanity check...
var mystr="API."+cmiArray[0]+"."+cmiArray[1]+".objArray("+cmiArray[2]+");";
//if it doesn't exist
if(ans=eval(mystr),null==ans)return API.ServerSco.lastError="201","";for(
// we need to see if the call is asking for a valid element under cmi.objectives.n
// we can trust the element parameter now to call the following...
subelementstr="ans",i=3;i<cmiArray.length;i++)subelementstr=subelementstr+"."+cmiArray[i];var objTest=eval(subelementstr);return null==objTest?(API.ServerSco.lastError="201","false"):(subelementstr+=".cmivalue;",res=eval(subelementstr),null==res?(API.ServerSco.lastError="201",""):(API.ServerSco.lastError="0",res))}function dealWithGettingInteractions(element){
// RETURN _CHILDREN
if("cmi.interactions._children"==element)return API.ServerSco.lastError="0",API.cmi.interactions._children.cmivalue;
// RETURN _COUNT
if("cmi.interactions._count"==element)return API.ServerSco.lastError="0",API.cmi.interactions._count.cmivalue;
// ELSE CHECK THAT THE ELEMENT IS VALID AND HAS AT LEAST 3 PARAMS, DOESNT HAVE
// MORE THAN 6 PARAMS  - IF SO, ITS ILLEGAL
var cmiArray=element.split(".");if(cmiArray.length<3||cmiArray.length>6)return API.ServerSco.lastError="201","";var theCount=API.cmi.interactions._count.cmivalue;
// IF 3RD ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[2] to see if its a number
if(isNaN(cmiArray[2]))return API.ServerSco.lastError="401","";
// IF ITS A NUMBER MAKE SURE ITS IN THE ARRAY BOUNDS
if(cmiArray[2]>=theCount)
// call to array is out of bounds
return API.ServerSco.lastError="201","";// WEVE GOT TO THE POINT OF VALIDATING cmi.interactions.n
// does this element exist in the interactions array? - sanity check...
//
// We are checking that 'cmi.interactions.n' exists
var mystr="API."+cmiArray[0]+"."+cmiArray[1]+".intArray("+cmiArray[2]+")";
//if it doesn't exist
if(ans=eval(mystr),null==ans)return API.ServerSco.lastError="201","";
// if theres 4 bits to the element path then try to see if object exists
if(4==cmiArray.length){strleaf="ans."+cmiArray[3]+";";var doesLeafExist=eval(strleaf);if(null==doesLeafExist)return API.ServerSco.lastError="201","";
// NEXT CHECK THAT THIS ELEMENT IS NOT WRITEONLY
strleafstatus=mystr+"."+cmiArray[3]+".cmireadStatus;";var leafstatus=eval(strleafstatus);if("writeonly"==leafstatus)return API.ServerSco.lastError="404","";
// WE CAN NOW TRY TO GET THE FULL OBJECT REFERENCE
var strleafval=mystr+"."+cmiArray[3]+".cmivalue;",leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201",""):(API.ServerSco.lastError="0",leafVal)}
// if theres 5 bits to the element path then try to see if object exists
if(5==cmiArray.length){
// check object exists
strbranch="ans."+cmiArray[3]+";";var doesLeafExist=eval(strbranch);if(null==doesLeafExist)return API.ServerSco.lastError="201","";
// check final object exists in the array list...
nextstrbranch="ans."+cmiArray[3]+"."+cmiArray[4]+";";var doesLeafExist=eval(nextstrbranch);if(null==doesLeafExist)return API.ServerSco.lastError="201","";
// check for write only
strread="ans."+cmiArray[3]+"."+cmiArray[4]+".cmireadStatus;";var isWriteOnly=eval(strread);if("writeonly"==isWriteOnly)return API.ServerSco.lastError="404","";
// see if value exists
strleaf="ans."+cmiArray[3]+"."+cmiArray[4]+".cmivalue;";var doesLeafExist=eval(strleaf);return null==doesLeafExist?(API.ServerSco.lastError="201",""):(API.ServerSco.lastError="0",doesLeafExist)}
// if theres 6 bits to the element path then try to see if object exists
if(6==cmiArray.length){
// check object exists
strbranch="ans."+cmiArray[3];var doesBranchExist=eval(strbranch);if(null==doesBranchExist)return API.ServerSco.lastError="201","";
// The fifth argument should be an array reference, so do some checking...
// IF 5TH ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[4] to see if its a number
if(isNaN(cmiArray[4]))return API.ServerSco.lastError="401","";
// check to see if this element has a _count
// If it hasn't we'll have to throw an error here
// because we need the correct array index for array #2...
var theCount="ans."+cmiArray[3]+"._count.cmivalue;",hasCount=eval(theCount);
// CANT FIND _COUNT FOR THIS ELEMENT, SO THROW AN ERROR...
if(null==hasCount)return API.ServerSco.lastError="201","";
// next need to check to see if array ref is in array bounds
if(cmiArray[4]>=hasCount||cmiArray[4]<0)
// call to array is out of bounds
return API.ServerSco.lastError="201","";
// make sure that array index 4 is either 'objectives' or 'correct_responses'
if("objectives"==cmiArray[3]){
// next check that there is an object here at this array index...
var arrayIndex2Check=eval("ans."+cmiArray[3]+".objectivesInteractionArray("+cmiArray[4]+")");
// check for null
return null==arrayIndex2Check?(API.ServerSco.lastError="201",""):(
// next check that the last element is valid...
finalObjectCheck=eval("arrayIndex2Check."+cmiArray[5]),null==finalObjectCheck?(API.ServerSco.lastError="201",""):(
// call must be to a valid element in the model so...
// check it for writeonly...
isWriteonly=eval("finalObjectCheck.cmireadStatus"),"writeonly"==isWriteonly?(API.ServerSco.lastError="404",""):(API.ServerSco.lastError="0",eval("finalObjectCheck.cmivalue"))))}if("correct_responses"==cmiArray[3]){
// next check that there is an object here at this array index...
var arrayIndex2Check=eval("ans."+cmiArray[3]+".correctResponsesInteractionArray("+cmiArray[4]+")");
// check for null
return null==arrayIndex2Check?(API.ServerSco.lastError="201",""):(
// next check that the last element is valid...
finalObjectCheck=eval("arrayIndex2Check."+cmiArray[5]),null==finalObjectCheck?(API.ServerSco.lastError="201",""):(
// call must be to a valid element in the model so...
// check it for writeonly...
isWriteonly=eval("finalObjectCheck.cmireadStatus"),"writeonly"==isWriteonly?(API.ServerSco.lastError="404",""):(API.ServerSco.lastError="0",eval("finalObjectCheck.cmivalue"))))}
// throw an error becuase 4th arg was not either
// objectives or correct_responses
return API.ServerSco.lastError="201",""}}function dealWithSettingObjectives(element,value){
//  _CHILDREN ARE READONLY
if("cmi.objectives._children"==element)return API.ServerSco.lastError="402","false";
//  _COUNT IS READ ONLY
if("cmi.objectives._count"==element)return API.ServerSco.lastError="402","false";
// ELSE CHECK THAT THE ELEMENT IS VALID AND HAS AT LEAST 3 PARAMS
var cmiArray=element.split(".");if(cmiArray.length<3)return API.ServerSco.lastError="201","false";
// IF 3RD ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[2] to see if its a number
if(isNaN(cmiArray[2]))return API.ServerSco.lastError="401","false";var theCount=API.cmi.objectives._count.cmivalue;
// IF ITS A NUMBER MAKE SURE ITS IN THE ARRAY BOUNDS
if(cmiArray[2]>theCount||cmiArray[2]<0)
// call to array is out of bounds
return API.ServerSco.lastError="201","false";if(cmiArray[2]==theCount||cmiArray[2]<theCount){
//create a new one
var existingObjectiveHandle=API.cmi.objectives.objArray(cmiArray[2]);if(null==existingObjectiveHandle)return API.ServerSco.lastError="101","false";for(
// we need to see if the call is asking for a valid element under cmi.objectives.n
// we can trust the element parameter now to call the following...
subelementstr="existingObjectiveHandle",i=3;i<cmiArray.length;i++)subelementstr=subelementstr+"."+cmiArray[i];var objTest=eval(subelementstr);if(null==objTest)return API.ServerSco.lastError="201","false";var subelementstrWithoutLeaf=subelementstr;if(subelementstr+=".cmireadStatus;",res=eval(subelementstr),null==res)return API.ServerSco.lastError="101","false";if("readonly"==res)return API.ServerSco.lastError="403","false";
// check the datatype and vocabulary...
var datatype=objTest.cmidatatype;if(res=API.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// WE CAN NOW TRY TO SET THE FULL OBJECT REFERENCE
var strleafval='objTest.cmivalue ="'+value+'";',leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201","false"):(API.ServerSco.lastError="0","true")}
// incorrect data type...
return API.ServerSco.lastError="405","false"}}function dealWithSettingInteractions(element,value){
//  _CHILDREN ARE READONLY
if("cmi.interactions._children"==element)return API.ServerSco.lastError="402","false";
//  _COUNT IS READ ONLY
if("cmi.interactions._count"==element)return API.ServerSco.lastError="402","false";
// ELSE CHECK THAT THE ELEMENT IS VALID AND HAS AT LEAST 3 PARAMS, DOESNT HAVE
// MORE THAN 6 PARAMS  - ALL ILLEGAL
var cmiArray=element.split(".");if(cmiArray.length<3||cmiArray.length>6)return API.ServerSco.lastError="201","false";var theCount=API.cmi.interactions._count.cmivalue;
// IF 3RD ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[2] to see if its a number
if(isNaN(cmiArray[2]))return API.ServerSco.lastError="401","false";var theCount=API.cmi.interactions._count.cmivalue;
// IF ITS A NUMBER MAKE SURE ITS IN THE ARRAY BOUNDS
if(cmiArray[2]>theCount||cmiArray[2]<0)
// call to array is out of bounds
return API.ServerSco.lastError="201","false";if(cmiArray[2]<=theCount){
//create a new one or get existing object
var existingObjectiveHandle=API.cmi.interactions.intArray(cmiArray[2]);if(null==existingObjectiveHandle)return API.ServerSco.lastError="101","false";
// we now have a reference to cmi.interactions.n
// if theres 4 bits to the element path then try to see if object exists
if(4==cmiArray.length){strleaf="existingObjectiveHandle."+cmiArray[3];var doesLeafExist=eval(strleaf);if(null==doesLeafExist)return API.ServerSco.lastError="201","false";
// NEXT CHECK THAT THIS ELEMENT IS NOT READONLY
strleafstatus="doesLeafExist.cmireadStatus";var leafstatus=eval(strleafstatus);if("readonly"==leafstatus)return API.ServerSco.lastError="403","false";
// check the datatype and vocabulary...
var datatype=doesLeafExist.cmidatatype;if(res=API.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// WE CAN NOW TRY TO SET THE FULL OBJECT REFERENCE
var strleafval='doesLeafExist.cmivalue ="'+value+'";',leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201","false"):(API.ServerSco.lastError="0","true")}
// incorrect data type...
return API.ServerSco.lastError="405","false"}if(5==cmiArray.length){
// check object exists
strbranch="existingObjectiveHandle."+cmiArray[3]+";";var doesLeafExist=eval(strbranch);if(null==doesLeafExist)return API.ServerSco.lastError="201","false";
// check final object exists in the array list...
nextstrbranch="existingObjectiveHandle."+cmiArray[3]+"."+cmiArray[4]+";";var doesLeafExist=eval(nextstrbranch);if(null==doesLeafExist)return API.ServerSco.lastError="201","false";
// check for write only
strread="existingObjectiveHandle."+cmiArray[3]+"."+cmiArray[4]+".cmireadStatus;";var isWriteOnly=eval(strread);if("readonly"==isWriteOnly)return API.ServerSco.lastError="403","false";
// see if value exists
strleaf="existingObjectiveHandle."+cmiArray[3]+"."+cmiArray[4]+".cmivalue;";var doesLeafExist=eval(strleaf);if(null==doesLeafExist)return API.ServerSco.lastError="201","false";
// check the datatype and vocabulary...
var datatype=doesLeafExist.cmidatatype;if(res=API.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// WE CAN NOW TRY TO SET THE FULL OBJECT REFERENCE
var strleafval='doesLeafExist.cmivalue ="'+value+'";',leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201","false"):(API.ServerSco.lastError="0","true")}
// incorrect data type...
return API.ServerSco.lastError="405","false"}if(6==cmiArray.length){
// check object exists
strbranch="existingObjectiveHandle."+cmiArray[3];var doesBranchExist=eval(strbranch);if(null==doesBranchExist)return API.ServerSco.lastError="201","false";
// The fifth argument should be an array reference, so do some checking...
// IF 5TH ARG IS NOT A NUMBER THEN THROW ERROR
// need to check cmiArray[4] to see if its a number
if(isNaN(cmiArray[4]))return API.ServerSco.lastError="401","false";
// check to see if this element has a _count
// If it hasn't we'll have to throw an error here
// because we need the correct array index for array #2...
var theCount="existingObjectiveHandle."+cmiArray[3]+"._count.cmivalue;",hasCount=eval(theCount);
// CANT FIND _COUNT FOR THIS ELEMENT, SO THROW AN ERROR...
if(null==hasCount)return API.ServerSco.lastError="201","false";
// next need to check to see if array ref is in array bounds
if(cmiArray[4]>hasCount||cmiArray[4]<0)
// call to array is out of bounds
return API.ServerSco.lastError="201","false";
// make sure that array index 4 is either 'objectives' or 'correct_responses'
if("objectives"==cmiArray[3]){
// next check that there is an object here at this array index...
var arrayIndex2Check=eval("existingObjectiveHandle."+cmiArray[3]+".objectivesInteractionArray("+cmiArray[4]+")");
// check for null
if(null==arrayIndex2Check)return API.ServerSco.lastError="201","false";if(
// next check that the last element is valid...
finalObjectCheck=eval("arrayIndex2Check."+cmiArray[5]),null==finalObjectCheck)return API.ServerSco.lastError="201","false";if(
// call must be to a valid element in the model so...
// check it for readonly...
isWriteonly=eval("finalObjectCheck.cmireadStatus"),"readonly"==isWriteonly)return API.ServerSco.lastError="403","false";
// check the datatype and vocabulary...
var datatype=finalObjectCheck.cmidatatype;if(res=API.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// WE CAN NOW TRY TO SET THE FULL OBJECT REFERENCE
var strleafval='finalObjectCheck.cmivalue ="'+value+'";',leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201","false"):(API.ServerSco.lastError="0","true")}
// incorrect data type...
return API.ServerSco.lastError="405","false"}if("correct_responses"==cmiArray[3]){
// next check that there is an object here at this array index...
var arrayIndex2Check=eval("existingObjectiveHandle."+cmiArray[3]+".correctResponsesInteractionArray("+cmiArray[4]+")");
// check for null
if(null==arrayIndex2Check)return API.ServerSco.lastError="201","false";if(
// next check that the last element is valid...
finalObjectCheck=eval("arrayIndex2Check."+cmiArray[5]),null==finalObjectCheck)return API.ServerSco.lastError="201","false";if(
// call must be to a valid element in the model so...
// check it for readonly...
isWriteonly=eval("finalObjectCheck.cmireadStatus"),"readonly"==isWriteonly)return API.ServerSco.lastError="403","false";
// check the datatype and vocabulary...
var datatype=finalObjectCheck.cmidatatype;if(res=API.ServerSco.checkDataTypeAndVocab(element,value,datatype),"true"==res){
// correct datatype...
// WE CAN NOW TRY TO SET THE FULL OBJECT REFERENCE
var strleafval='finalObjectCheck.cmivalue ="'+value+'";',leafVal=eval(strleafval);return null==leafVal?(
// IT FAILED AT THE FINAL HURDLE...
API.ServerSco.lastError="201","false"):(API.ServerSco.lastError="0","true")}
// incorrect data type...
return API.ServerSco.lastError="405","false"}
// throw an error because 4th arg was not either
// objectives or correct_responses
return API.ServerSco.lastError="201","false"}}}var WPEPScormPlayer={course_id:0,dispatch_target:"",window_settings:{width:1024,height:768,has_toolbar:!1,has_title_bar:!1,has_location:!0,has_status:!0,has_scrollbar:!0,has_resize:!0,has_menu_bar:!1},_window_instance:null,_window_timeout_error_displayed:!1,_window_timeout_tracker:0,_window_timeout_max_allowed:2e4,_open_after_api_connection:!1,Init:function(e){this.course_id=e,this._setup_api_connection()},Open:function(){if(""!==this.dispatch_target){this._refresh(),null!==window.API&&(window.API.terminated=!1,window.API.initialized=!1);try{this._window_instance=window.open(this.dispatch_target,"SCOwindow",this._get_window_options()),this._window_instance.moveTo(0,0),this._window_instance.focus()}catch(e){}if(null!==this._window_instance)try{this._window_instance.focus(),this._window_watcher()}catch(e){}}else this._open_after_api_connection=!0},UpdateStudentInformation:function(e){var r=this;this._show_operation_loader(),jQuery.post(wpep.ajax_url,{action:"wpep/content-type/courses/scorm-set-user-information",information:e,post_id:this.course_id},(function(e){r._hide_operation_loader(),"ok"!==e.status&&"error"===e.status&&alert(e.error)}),"json")},_hide_operation_loader:function(){jQuery('[data-wpep-scorm-course-open="'+this.course_id+'"]').each((function(){jQuery(this).parent().find(".wpep-spinner-loader-container").remove()}))},_show_operation_loader:function(){jQuery('[data-wpep-scorm-course-open="'+this.course_id+'"]').each((function(){var e=jQuery(this).parent();0===e.find(".wpep-spinner-loader-container").length&&e.append(ec_element_spinner())}))},_setup_api_connection:function(){var e=this;this._show_operation_loader(),jQuery.post(wpep.ajax_url,{action:"wpep/content-type/courses/scorm-configuration",post_id:this.course_id},(function(r){e._hide_operation_loader(),"ok"===r.status?(e.dispatch_target=r.dispatch_file,window.API=new WPEPScormAPI(new GenericAPIAdaptor,r.scorm_learner),e._open_after_api_connection&&e.Open()):"error"===r.status&&alert(r.error)}),"json")},_refresh:function(){this._window_instance=null,this._window_timeout_tracker=0,this._window_timeout_error_displayed=!1},_get_window_options:function(){var e="";return e+="width="+this.window_settings.width+",",e+="height="+this.window_settings.height+",",e+=this.window_settings.has_toolbar?"toolbar=yes,":"",e+=this.window_settings.has_title_bar?"titlebar=yes,":"",e+=this.window_settings.has_location?"location=yes,":"",e+=this.window_settings.has_status?"status=yes,":"",e+=this.window_settings.has_scrollbar?"scrollbars=yes,":"",e+=this.window_settings.has_resize?"resizable=yes,":"",e=(e+=this.window_settings.has_menu_bar?"menubar=yes,":"").substring(0,e.length-1)},_window_watcher:function(){var e=this;this._window_instance&&!this._window_instance.closed&&(this._window_timeout_tracker+=1e3,this._window_timeout_tracker>=e._window_timeout_max_allowed&&!window.API.initialized&&!e._window_timeout_error_displayed&&(e._window_timeout_error_displayed=!0),setTimeout((function(){e._window_watcher()}),1e3))}};Array.prototype.toJSONString=function(){function e(e){t&&r.push(","),r.push(e),t=!0}var r=["["],t,n,a=this.length,i;for(n=0;n<a;n+=1)switch(typeof(i=this[n])){case"undefined":case"function":case"unknown":break;case"object":i?"function"==typeof i.toJSONString&&e(i.toJSONString()):e("null");break;default:e(i.toJSONString())}return r.push("]"),r.join("")},Boolean.prototype.toJSONString=function(){return String(this)},Date.prototype.toJSONString=function(){function e(e){return e<10?"0"+e:e}return'"'+this.getFullYear()+"-"+e(this.getMonth()+1)+"-"+e(this.getDate())+"T"+e(this.getHours())+":"+e(this.getMinutes())+":"+e(this.getSeconds())+'"'},Number.prototype.toJSONString=function(){return isFinite(this)?String(this):"null"},function(s){var m={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"};s.parseJSON=function(){try{if(/^("(\\.|[^"\\\n\r])*?"|[,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t])+?$/.test(this))return eval("("+this+")")}catch(e){}throw new SyntaxError("parseJSON")},s.toJSONString=function(){return/["\\\x00-\x1f]/.test(this)?'"'+this.replace(/([\x00-\x1f\\"])/g,(function(e,r){var t=m[r];return t||(t=r.charCodeAt(),"\\u00"+Math.floor(t/16).toString(16)+(t%16).toString(16))}))+'"':'"'+this+'"'}}(String.prototype),function(){this.WPEPScormAPI=function(e,r){this.api=e,this.initData=r,this.__data=null,this.initialized=!1,this.terminated=!1,this.lastError="0",this.LMSInitialize=function(e){var r=this.api.LMSInitialize(e);if(this.initialized="true"===r,this.initialized){for(var t in this.terminated=!1,this.api)"function"!=typeof this.api[t]&&(this[t]=this.api[t]);for(var n in this.__data=this.initData,this.__data)loadDataIntoModel(n,this.__data[n])}return r},
// LMSFinish
this.LMSFinish=function(e){var r=this.api.LMSFinish(e);return"true"===r&&(this.initialized=!1,this.terminated=!0,this.__data["cmi.core.session_time"]&&this.__data["cmi.core.session_time"].length>0&&(null!=this.__data["cmi.core.total_time"]&&""!==this.__data["cmi.core.total_time"]||(this.__data["cmi.core.total_time"]="0000:00:00.00"),this.__data["cmi.core.total_time"]=calculate_scorm_session_total_time(this.__data["cmi.core.total_time"],this.__data["cmi.core.session_time"]),WPEPScormPlayer.UpdateStudentInformation(this.__data)),WPEPScormPlayer._window_instance&&!WPEPScormPlayer._window_instance.closed&&WPEPScormPlayer._window_instance.close()),r},this.LMSGetValue=function(e){return unescape(this.api.LMSGetValue(e))},this.LMSSetValue=function(e,r){var t=this.api.LMSSetValue(e,escape(r));return"true"===t&&(this.__data[e]=r),t},this.LMSCommit=function(e){var r=this.api.LMSCommit(e);return"true"===r&&WPEPScormPlayer.UpdateStudentInformation(this.__data),r},this.LMSGetErrorString=function(e){return this.api.LMSGetErrorString(e)},this.LMSGetLastError=function(){return this.api.LMSGetLastError()},this.LMSGetDiagnostic=function(e){return this.api.LMSGetDiagnostic(e)}}}();