<?php
/*
 * @deprecated Use WPEP_Discussion_Integration instead of WPEP_Post_Comments_Integration
 */
abstract class WPEP_Post_Comments_Integration extends WPEP_Discussion_Integration {}

if( !function_exists( "wpep_course_has_member_magnet_option" ) ) {
  /**
   * @deprecated
   * @param $course_id
   * @return int
   */
  function wpep_course_has_member_magnet_option( $course_id ) {
    return wpep_post_has_member_magnet_option( $course_id );
  }
}

if( !function_exists( 'wpep_content_primary_grid_item_cont_identifier' ) ) {
  /**
   * @deprecated
   * @param $course_category
   * @return string
   */
  function wpep_content_primary_grid_item_cont_identifier( $course_category ) {
    if( is_string( $course_category ) )
      return $course_category;

    if( is_object( $course_category ) )
      return ( strlen( $course_category->slug ) > 20 ? $course_category->term_id : $course_category->slug );

    return ( strlen( $course_category['slug'] ) > 20 ? $course_category['term_id'] : $course_category['slug'] );
  }

}

if( !function_exists( 'wpep_user_course_pending_display_lessons' ) ) {

  /**
   * @deprecated
   * @return int
   */
  function wpep_user_course_pending_display_lessons() {
    return 0;
  }

}

if( wpep_get_setting_flag( 'enable-backward-compatibility-short-codes' ) ) {
  add_action( 'init', function() {
    foreach( wpep_toolkit_list_map() as $toolkit_item_key => $toolkit_item_data ) {
      if( !isset( $toolkit_item_data['items'] ) ) {
        add_shortcode( 'wpep_' . substr( $toolkit_item_key, strlen( WPEP_SHORT_CODE_PREFIX ) ), function( $atts = [], $content = '' ) use ( $toolkit_item_key ) {
          $short_code = '[' . $toolkit_item_key;

          if( is_array( $atts ) ) {
            foreach( $atts as $att_key => $att_value )
              $short_code .= ' ' . $att_key . '="' . $att_value . '"';
          }

          $short_code .= ']';

          if( $content !== '' )
            $short_code .= $content;

          $short_code .= '[/' . $toolkit_item_key . ']';

          return do_shortcode( $short_code );
        } );

        continue;
      }

      foreach( $toolkit_item_data['items'] as $toolkit_item_inner_key => $toolkit_item_inner_data ) {
        add_shortcode( 'wpep_' . substr( $toolkit_item_inner_key, strlen( WPEP_SHORT_CODE_PREFIX ) ), function( $atts = [], $content = '' ) use ( $toolkit_item_inner_key ) {
          $short_code = '[' . $toolkit_item_inner_key;

          if( is_array( $atts ) ) {
            foreach( $atts as $att_key => $att_value )
              $short_code .= ' ' . $att_key . '="' . $att_value . '"';
          }

          $short_code .= ']';

          if( $content !== '' )
            $short_code .= $content;

          $short_code .= '[/' . $toolkit_item_inner_key . ']';

          return do_shortcode( $short_code );
        } );
      }
    }

    add_shortcode( 'wpep_course_preview', function( $atts = [], $content = '' ) {
      $short_code = '[' . WPEP_SHORT_CODE_PREFIX . 'course_preview';

      if( is_array( $atts ) ) {
        foreach( $atts as $att_key => $att_value )
          $short_code .= ' ' . $att_key . '="' . $att_value . '"';
      }

      $short_code .= ']';

      if( $content !== '' )
        $short_code .= $content;

      $short_code .= '[/' . WPEP_SHORT_CODE_PREFIX . 'course_preview' . ']';

      return do_shortcode( $short_code );
    });

  }, -9999 );
}