<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$assessment_question_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_ASSESSMENT_QUESTION;

$sql = 'CREATE TABLE IF NOT EXISTS ' . $assessment_question_table_name . ' (
          `id`      INT NOT NULL AUTO_INCREMENT,
          `post_id` INT NOT NULL DEFAULT 0,
          `title`   VARCHAR(500) NOT NULL DEFAULT "",
          `content` LONGTEXT NOT NULL DEFAULT "",
          `type`    VARCHAR(500) NOT NULL DEFAULT "",
          `weight`  INT NOT NULL DEFAULT 0,
          `order`   INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id),
          INDEX `' . $assessment_question_table_name . '_post_id` (`post_id`)
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

$assessment_question_answer_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_ASSESSMENT_QUESTION_ANSWER;

$sql = 'CREATE TABLE IF NOT EXISTS ' . $assessment_question_answer_table_name . ' (
          `id`          INT NOT NULL AUTO_INCREMENT,
          `post_id`     INT NOT NULL DEFAULT 0,
          `question_id` INT NOT NULL DEFAULT 0,
          `title`       VARCHAR(500) NOT NULL DEFAULT "",
          `content`     LONGTEXT NOT NULL DEFAULT "",
          `is_correct`  TINYINT NOT NULL DEFAULT 0,
          `order`       INT NOT NULL DEFAULT 0,
          PRIMARY KEY (id),
          INDEX `' . $assessment_question_answer_table_name . '_post_id` (`post_id`),
          INDEX `' . $assessment_question_answer_table_name . '_question_id` (`question_id`)
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

$assessment_user_data = wpep_wpdb()->prefix . WPEP_DB_TABLE_ASSESSMENT_USER_DATA;

$sql = 'CREATE TABLE IF NOT EXISTS ' . $assessment_user_data . ' (
          `id`          INT NOT NULL AUTO_INCREMENT,
          `user_id`     INT NOT NULL DEFAULT 0,
          `post_id`     INT NOT NULL DEFAULT 0,
          `question_id` INT NOT NULL DEFAULT 0,
          `question_answer_id` INT NOT NULL DEFAULT 0,
          `key`         VARCHAR(100) NOT NULL DEFAULT "",
          `value`       LONGTEXT NOT NULL DEFAULT "",
          `created_at`  DATETIME DEFAULT NULL,
          PRIMARY KEY (id),
          INDEX `' . $assessment_user_data . '_user_id` (`user_id`),
          INDEX `' . $assessment_user_data . '_post_id` (`post_id`),
          INDEX `' . $assessment_user_data . '_question_id` (`question_id`),
          INDEX `' . $assessment_user_data . '_question_answer_id` (`question_answer_id`)
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_question_table_name ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_question_answer_table_name ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $assessment_user_data ) . '</p>';
