<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$email_table = wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_NOTIFICATION;

$sql = 'CREATE TABLE IF NOT EXISTS ' . $email_table . ' (
          `id`      INT NOT NULL AUTO_INCREMENT,
          `post_id` INT NOT NULL DEFAULT 0,
          `user_id` INT NOT NULL DEFAULT 0,
          `title`   VARCHAR(500) NOT NULL DEFAULT "",
          `token`   VARCHAR(500) NOT NULL DEFAULT "",
          `is_opened`  INT NOT NULL DEFAULT 0,
          `created_at`  DATETIME DEFAULT NULL,
          `opened_at`   DATETIME DEFAULT NULL,
          PRIMARY KEY (id),
          INDEX `' . $email_table . '_post_id` ( `post_id` ),
          INDEX `' . $email_table . '_user_id` ( `user_id` ),
          INDEX `' . $email_table . '_is_opened` ( `is_opened` )
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

$email_tracking_table = wpep_wpdb()->prefix . WPEP_DB_TABLE_EMAIL_TRACKING;

$sql = 'CREATE TABLE IF NOT EXISTS ' . $email_tracking_table . ' (
          `id`          INT NOT NULL AUTO_INCREMENT,
          `user_id`     INT NOT NULL DEFAULT 0,
          `email_notification_id` INT NOT NULL DEFAULT 0,
          `action`      VARCHAR(100) NOT NULL DEFAULT "",
          `target`      VARCHAR(500) NOT NULL DEFAULT "",
          `created_at`  DATETIME DEFAULT NULL,
          PRIMARY KEY (id),
          INDEX `' . $email_tracking_table . '_user_id` (`user_id`),
          INDEX `' . $email_tracking_table . '_email_notification_id` (`email_notification_id`)
          ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $email_table ) . '</p>';
echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $email_tracking_table ) . '</p>';