<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$system_log_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_SYSTEM_LOG;

$sql = 'CREATE TABLE IF NOT EXISTS `' . $system_log_table_name . '` (
                                              `id`            INT NOT NULL AUTO_INCREMENT,
                                              `namespace`     VARCHAR(500) NOT NULL DEFAULT "",
                                              `event`         VARCHAR(500) NOT NULL DEFAULT "",
                                              `started_at`    INT NOT NULL DEFAULT 0,
                                              `completed_at`  INT NOT NULL DEFAULT 0,
                                              `started_arguments` LONGTEXT NOT NULL DEFAULT "",
                                              `completed_arguments` LONGTEXT NOT NULL DEFAULT "",
                                              PRIMARY KEY (id),
                                              INDEX `' . $system_log_table_name . '_namespace` (`namespace`),
                                              INDEX `' . $system_log_table_name . '_event` (`event`),
                                              INDEX `' . $system_log_table_name . '_started_at` (`started_at`)
                                              ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $system_log_table_name ) . '</p>';