<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$system_cache_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_SYSTEM_CACHE;

$sql = 'CREATE TABLE IF NOT EXISTS `' . $system_cache_table_name . '` (
                                                  `id`         INT NOT NULL AUTO_INCREMENT,
                                                  `user_id`    INT NOT NULL DEFAULT 0,
                                                  `post_id`    INT NOT NULL DEFAULT 0,
                                                  `namespace`  VARCHAR(500) NOT NULL DEFAULT "",
                                                  `segment`    VARCHAR(1000) NOT NULL DEFAULT "",
                                                  `content`    LONGTEXT NOT NULL DEFAULT "",
                                                  `updated_at` DATETIME DEFAULT NULL,
                                                  `expires_at` DATETIME DEFAULT NULL,
                                                  PRIMARY KEY (id),
                                                  INDEX `' . $system_cache_table_name . '_user_id` (`user_id`),
                                                  INDEX `' . $system_cache_table_name . '_post_id` (`post_id`),
                                                  INDEX `' . $system_cache_table_name . '_namespace` (`namespace`),
                                                  INDEX `' . $system_cache_table_name . '_segment` (`segment`)
                                                  ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $system_cache_table_name ) . '</p>';