<?php

$custom_css = wpep_get_setting( 'wpep-custom-css' );

if( $custom_css === '' ) {
  echo '<p>' . __( "Custom CSS Migration - Not required", "wpep" ) . '</p>';
  return;
}

$existent_custom_css = wp_get_custom_css();

$response = wp_update_custom_css_post( ( $existent_custom_css === '' ? '' : $existent_custom_css . "\n" ) . $custom_css );

if( !is_wp_error( $response ) ) {
  echo '<p>' . __( "Custom CSS Migration - Moved under the WP Standard", "wpep" ) . '</p>';
} else {
  echo '<p>' . __( "Custom CSS Migration - Error", "wpep" ) . '</p>';
  echo '<p>' . $response->get_error_message() . '</p>';
}