<div class="wpep-data-system">

  <?php if( !class_exists( '\ZipArchive' ) ) : ?>
    <div class="wpep-notification wpep-notification-danger">
      <?php echo __( "Please enable the PHP Zip Library, if you do not know how to do this, contact your hosting provider.", "wpep" ); ?>
    </div>
  <?php endif; ?>

  <div class="wpep-left-side">
    <?php do_action( "wpep_template_data_system_dashboard_left_side_before" ); ?>

    <div data-wpep-data-system-container="import">
      <div class="wpep-title-container">
        <h2 class="wpep-title"><?php echo sprintf( __( "Import %s Backup", 'wpep' ), WPEP_PLUGIN_NAME ); ?></h2>
        <span id="wpep-dsi-zip-backup-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
      </div>
      <form class="wpep-utility-data-sync"
            data-wpep-sync-ajax="wpep_data_system_import_process"
            data-wpep-sync-stage="start"
            data-wpep-sync-display-trigger="#wpep-dsi-zip-backup-open"
            method="POST">
        <div class="wpep-content-wrapper"></div>
        <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
      </form>
    </div>

    <?php if( wpep_data_system()->is_third_party_import_available() ) : ?>
      <div data-wpep-data-system-container="import">
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "Third Party Courses Migration", "wpep" ); ?></h2>
          <span id="wpep-dsi-third-party-import-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
        </div>
        <form class="wpep-utility-data-sync"
              data-wpep-sync-ajax="wpep_data_system_third_party_import"
              data-wpep-sync-stage="start"
              data-wpep-sync-display-trigger="#wpep-dsi-third-party-import-open"
              method="POST">
          <div class="wpep-content-wrapper"></div>
          <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
        </form>
      </div>
    <?php endif; ?>

    <?php if( wpep_content_type()->is_enabled( WPEP_POST_TYPE_COURSE ) ) : ?>
      <?php if( wpep_controller()->emailMarketing->has_text_based_tag_integrations() ) : ?>
      <div data-wpep-data-system-container="utility">
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "One Click - Course Started & Completed Tags", 'wpep' ); ?></h2>
          <span id="wpep-dsi-email-marketing-tags" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
        </div>
        <form class="wpep-utility-data-sync"
              data-wpep-sync-ajax="wpep_data_system_email_marketing_course_tags"
              data-wpep-sync-stage="start"
              data-wpep-sync-display-trigger="#wpep-dsi-email-marketing-tags"
              method="POST">
          <div class="wpep-content-wrapper"></div>
          <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
        </form>
      </div>
      <?php endif; ?>

      <div data-wpep-data-system-container="import">
        <div class="wpep-title-container">
          <h2 class="wpep-title"><?php echo __( "Import CSV : Courses", "wpep" ); ?></h2>
          <span id="wpep-dsi-csv-courses-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep" ); ?></span>
        </div>
        <form class="wpep-utility-data-sync"
              data-wpep-sync-ajax="wpep_data_system_import_csv_courses_process"
              data-wpep-sync-stage="start"
              data-wpep-sync-display-trigger="#wpep-dsi-csv-courses-open"
              method="POST">
          <div class="wpep-content-wrapper"></div>
          <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
        </form>
      </div>
    <?php endif; ?>

    <div data-wpep-data-system-container="import">
      <div class="wpep-title-container">
        <h2 class="wpep-title"><?php echo __( "Import CSV : Users", "wpep" ); ?></h2>
        <span id="wpep-dsi-csv-users-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep"  ); ?></span>
      </div>
      <form class="wpep-utility-data-sync"
            data-wpep-sync-ajax="wpep_data_system_import_csv_users_process"
            data-wpep-sync-stage="start"
            data-wpep-sync-display-trigger="#wpep-dsi-csv-users-open"
            method="POST">
        <div class="wpep-content-wrapper"></div>
        <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
      </form>
    </div>

    <div data-wpep-data-system-container="export">
      <div class="wpep-title-container">
        <h2 class="wpep-title"><?php echo __( "Export CSV : Content Types", "wpep" ); ?></h2>
        <span id="wpep-dse-csv-content-types-open" class="wpep-button wpep-button-primary"><?php echo __( "Start", "wpep"  ); ?></span>
      </div>
      <form class="wpep-utility-data-sync"
            data-wpep-sync-ajax="wpep_data_system_export_content_types_list"
            data-wpep-sync-stage="start"
            data-wpep-sync-display-trigger="#wpep-dse-csv-content-types-open"
            method="POST">
        <div class="wpep-content-wrapper"></div>
        <?php echo wpep_spinner_loader( __( "Please wait...", "wpep" ) ); ?>
      </form>
    </div>

    <?php do_action( "wpep_template_data_system_dashboard_left_side_after" ); ?>
  </div>
  <div class="wpep-right-side">
    <?php $backup_list = wpep_data_system()->get_backup_list(); ?>

    <div class="wpep-data-system-backup-list">
      <?php if( isset( $_GET[ 'backup-created' ] ) ) : ?>
        <div class="wpep-notification wpep-notification-success"><?php echo __( "Backup has been created", "wpep" ); ?></div>
      <?php endif; ?>

      <table class="wp-list-table widefat striped">
        <thead>
          <tr>
            <th><?php echo __( "Backup List", "wpep" ); ?></th>
            <th class="wpep-last-td">
              <a class="wpep-button wpep-button-primary wpep-button-right"
                 data-wpep-interaction-trigger="loader"
                 href="<?php echo wp_nonce_url( wpep_admin_url_platform_health( [ 'tab' => 'data-system' ] ), 'wpep-create-backup', 'wpep-create-backup' ); ?>">
                <?php echo __( "Create Backup", "wpep" ); ?>
              </a>
            </th>
          </tr>
        </thead>
        <tbody>
        <?php if( !empty( $backup_list ) ) : ?>
          <?php foreach( $backup_list as $backup_post ) : ?>
          <tr>
            <td><?php echo $backup_post->post_title; ?></td>
            <td class="wpep-last-td">
              <a href="<?php echo wpep_admin_url_platform_health( [ 'tab' => 'data-system', 'download-backup' => $backup_post->ID ] ); ?>"
                 class="wpep-button wpep-button-primary"><?php echo __( "Download", "wpep" ); ?></a>
            </td>
          </tr>
          <?php endforeach; ?>
        <?php else : ?>
          <tr>
            <td class="wpep-notification wpep-notification-info" colspan="2"><?php echo __( "No Backups have been created yet", "wpep" ); ?></td>
          </tr>
        <?php endif; ?>
        </tbody>
      </table>
    </div>

    <div class="wpep-data-system-container">
      <div class="wpep-title-container">
        <h2 class="wpep-title"><?php echo __( "Platform Backup Settings", "wpep" ); ?></h2>
      </div>

      <form data-wpep-form="search"
            data-wpep-form-action="wpep/system/setting/search-by-index"
            data-wpep-form-content-target="#wpep-ph-platform-backup-settings"><input type="hidden" name="search" value="general||advanced||platform_backup"/></form>

      <div id="wpep-ph-platform-backup-settings"></div>
    </div>
  </div>
  <div class="clearfix wpep-clearfix"></div>
</div>