<div class="wpep-assessment-question-container" data-question-id="<?php echo $assessment_question->id; ?>">
  <h3 class="wpep-assessment-question-title">
    <?php if( isset( $question_number ) ) : ?>
      <span><?php echo $question_number; ?></span>
    <?php elseif( isset( $assessment_question->question_number ) ) : ?>
      <span><?php echo $assessment_question->question_number; ?></span>
    <?php endif; ?>
    <?php echo $assessment_question->title; ?>
  </h3>

  <?php if( isset( $assessment_question->content ) && $assessment_question->content !== '' ) : ?>
    <div class="wpep-content-from-editor wpep-assessment-question-description">
      <?php echo wpep_format_content( $assessment_question->content ); ?>
    </div>
  <?php endif; ?>

  <div class="wpep-assessment-question-field-container">
    <?php if( $assessment_question->type == 'textarea' ) : ?>
      <textarea name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
                class="wpep-textarea"
                placeholder="<?php echo wpep_get_setting_translated( 'assessment-input-placeholder' );?>"
        <?php disabled( !$allow_submission ); ?>
      ><?php echo isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : ''; ?></textarea>
    <?php elseif( $assessment_question->type == 'input_text' || ( $assessment_question->type == 'input_match' && !empty( $assessment_question->answers ) ) ) : ?>
      <input name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
             placeholder="<?php echo wpep_get_setting_translated( 'assessment-input-placeholder' );?>"
             class="wpep-input"
             value="<?php echo isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : ''; ?>"
        <?php disabled( !$allow_submission ); ?>
      />
    <?php elseif( $assessment_question->type == 'editor' ) : ?>
      <?php if( $allow_submission ) : ?>
        <div data-name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
             data-ec-component="quill-editor"
             data-ec-component-args="<?php echo esc_attr( json_encode( [
            'post_id'      => $assessment_id,
            'media_upload' => 1,
            'content'      => isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : ''
        ] ) ); ?>"></div>
      <?php else : ?>
        <div class="wpep-content-from-editor"><?php echo isset( $user_question_answer[$assessment_question->id] ) ? wpep_format_content( $user_question_answer[$assessment_question->id] ) : '';?></div>
      <?php endif; ?>
    <?php elseif( $assessment_question->type == 'file' ) : ?>
      <div class="wpep-file-upload-container"
           data-upload-meta-post-id="<?php echo $assessment_id; ?>"
           data-upload-trigger="> .wpep-button"
           data-upload-target='> input.wpep-input'
      >
        <span class="wpep-button"><?php echo wpep_get_setting_translated( 'assessment-file-upload' ); ?></span>
        <input name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
               class="wpep-input"
               value="<?php echo isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : ''; ?>"
          <?php disabled( !$allow_submission ); ?>
        />
        <div class="wpep-clearfix"></div>
      </div>
    <?php elseif( $assessment_question->type == 'select_scalar_5' ) : ?>
      <ul class="wpep-scalar-selection" data-wpep-scalar-selection-limit="5">
        <?php for( $i = 1; $i <= 5; $i++ ) : ?>
          <li>
            <label for="wpep-assessment-question-answer-<?php echo $assessment_question->id . '-' . $i; ?>">
              <input id="wpep-assessment-question-answer-<?php echo $assessment_question->id . '-' . $i; ?>"
                     name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
                     type="radio"
                     value="<?php echo $i;?>"
                     <?php wpep_utility_checked($i, ( isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : 0 ) );?>
              />
              <span><?php echo $i; ?></span>
            </label>
          </li>
        <?php endfor; ?>
      </ul>
    <?php elseif( $assessment_question->type == 'select_scalar_10' ) : ?>
      <ul class="wpep-scalar-selection" data-wpep-scalar-selection-limit="10">
        <?php for( $i = 1; $i <= 10; $i++ ) : ?>
          <li>
            <label for="wpep-assessment-question-answer-<?php echo $assessment_question->id . '-' . $i; ?>">
              <input id="wpep-assessment-question-answer-<?php echo $assessment_question->id . '-' . $i; ?>"
                     name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
                     type="radio"
                     value="<?php echo $i;?>"
                     <?php wpep_utility_checked($i, ( isset( $user_question_answer[$assessment_question->id] ) ? $user_question_answer[$assessment_question->id] : 0 ) );?>
              />
              <span><?php echo $i; ?></span>
            </label>
          </li>
        <?php endfor; ?>
      </ul>
    <?php elseif( empty( $assessment_question->answers ) ) : ?>
      <p class="wpep-notification wpep-notification-warning"><?php echo __( "The answer options have not been setup, please verify.", "wpep" ); ?></p>
    <?php elseif( $assessment_question->type == 'select' ) : ?>
      <select name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
              class="wpep-select"
        <?php disabled( !$allow_submission ); ?>
      >
        <?php foreach( $assessment_question->answers as $assessment_question_answer ) : ?>
          <option value="<?php echo $assessment_question_answer->id; ?>"
            <?php wpep_utility_selected($assessment_question_answer->id, ( isset( $user_question_answer_id[$assessment_question->id] ) ? $user_question_answer_id[$assessment_question->id] : 0 ) );?>
          ><?php echo $assessment_question_answer->title; ?></option>
        <?php endforeach; ?>
      </select>
    <?php elseif( $assessment_question->type == 'radio' && !empty( $assessment_question->answers ) ) : ?>
      <?php foreach( $assessment_question->answers as $assessment_question_answer ) : ?>
        <label class="label-radio">
          <input id="wpep-assessment-answer-<?php echo $assessment_question_answer->id;?>"
                 type="radio"
                 name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>]"
                 value="<?php echo $assessment_question_answer->id; ?>"
            <?php disabled( !$allow_submission ); ?>
            <?php wpep_utility_checked($assessment_question_answer->id, ( isset( $user_question_answer_id[$assessment_question->id] ) ? $user_question_answer_id[$assessment_question->id] : 0 ) );?>
          >
          <label for="wpep-assessment-answer-<?php echo $assessment_question_answer->id;?>"></label>
          <span><?php echo $assessment_question_answer->title; ?></span>
        </label>
      <?php endforeach; ?>
    <?php elseif( $assessment_question->type == 'checkbox' && !empty( $assessment_question->answers ) ) : ?>
      <?php foreach( $assessment_question->answers as $assessment_question_answer ) : ?>
        <label class="label-checkbox">
          <input id="wpep-assessment-answer-<?php echo $assessment_question_answer->id;?>"
                 type="checkbox"
                 name="wpep_assessment_answer[<?php echo $assessment_question->id; ?>][]"
                 value="<?php echo $assessment_question_answer->id; ?>"
            <?php disabled( !$allow_submission ); ?>
            <?php wpep_utility_checked($assessment_question_answer->id, ( isset( $user_question_answer_id[$assessment_question->id] ) ? $user_question_answer_id[$assessment_question->id] : 0 ) );?>
          >
          <label for="wpep-assessment-answer-<?php echo $assessment_question_answer->id;?>"></label>
          <span><?php echo $assessment_question_answer->title; ?></span>
        </label>
      <?php endforeach; ?>
    <?php else : ?>
      <p class="wpep-notification wpep-notification-danger"><?php echo __( "This question hasn't been properly setup.", "wpep" ); ?></p>
    <?php endif; ?>
  </div>
  <?php if( !in_array( $user_status, [ 'pending', 'pending_review' ] )
             && isset( $user_question_status[$assessment_question->id] )
             && $grading_option !== WPEP_ASSESSMENT_GRADING_DISABLED
             && ( in_array( $grading_option, [ WPEP_ASSESSMENT_GRADING_MANUAL, WPEP_ASSESSMENT_GRADING_MANUAL_PARTIAL ] ) || $field_type_data[ 'has_answers' ] ) ) : ?>
    <?php if( $user_question_status[$assessment_question->id] == 0 ) : ?>
      <p class="wpep-notification wpep-notification-danger">
        <?php echo wpep_get_setting_translated( 'assessment-question-status-incorrect' );?>
      </p>
    <?php elseif( $user_question_status[$assessment_question->id] == 1 ) : ?>
      <p class="wpep-notification wpep-notification-success">
        <?php echo wpep_get_setting_translated( 'assessment-question-status-correct' );?>
      </p>
    <?php endif;?>
  <?php endif; ?>

  <div class="wpep-clearfix"></div>
</div>