<form class="wpep-assessment-form wpep-assessment-form-not-paginated"
      data-user-status="<?php echo $user_status; ?>"
      data-assessment-id="<?php echo $assessment_id; ?>"
      data-form-server-timestamp="<?php echo time(); ?>"
      <?php if( $allowed_time != 0 && $allow_submission ) : ?>
      data-submission-remaining="<?php echo ( $submission_started - time() + $allowed_time ) ?>"
      <?php endif; ?>
      method="POST"
      action="<?php echo $form_action; ?>">
  <input type="hidden" name="wpep_assessment_id" value="<?php echo $assessment_id; ?>">
  <input type="hidden" name="wpep_course_id" value="<?php echo $course_id; ?>">

  <div class="wpep-top-section">
    <h1 class="wpep-assessment-title"><?php echo $assessment_title; ?></h1>

    <?php if( $allowed_time != 0 && $allow_submission ) : ?>
      <p class="wpep-assessment-time-remaining-container wpep-hidden">
        <?php echo wpep_get_setting_translated( 'assessment-time-remaining' ); ?>
        <span><?php echo wpep_utility_time_remaining( ( $submission_started - time() + $allowed_time ) ); ?></span>
      </p>
    <?php endif; ?>
  </div>

  <?php if( isset( $assessment_description ) && trim( $assessment_description ) !== '' ) : ?>
    <div class="wpep-content-from-editor wpep-assessment-description"><?php echo wpep_format_content( $assessment_description ); ?></div>
  <?php endif; ?>

  <?php wpep_template_load( 'assessment/_user_status_notification.php', [
    'user_status'     => $user_status,
    'assessment_type' => $assessment_type
  ] ); ?>

  <div class="wpep-assessment-questions-container">
    <?php $question_number = 1; foreach( $assessment_questions as $assessment_question ) : ?>
      <?php wpep_template_load( 'assessment/_question.php', [
        'assessment_id'            => $assessment_id,
        'user_status'              => $user_status,
        'question_number'          => $question_number,
        'assessment_question'      => $assessment_question,
        'allow_submission'         => $allow_submission,
        'user_question_status'     => $user_question_status,
        'user_question_answer'     => $user_question_answer,
        'user_question_answer_id'  => $user_question_answer_id,
        'grading_option'           => ( isset( $grading_option ) ? $grading_option : intval( get_post_meta( $assessment_id, 'wpep_grading_option', true ) ) ),
        'field_type_data'          => ( isset( $field_types_data ) && isset( $field_types_data[ $assessment_question->type ] ) ? $field_types_data[ $assessment_question->type ] : false )
      ] ); ?>
    <?php $question_number++; endforeach; ?>
  </div>
  
  <div class="wpep-assessment-operations-container">
    <?php if( $allow_submission ) : ?>
      <?php echo wpep_spinner_loader( false, 'wpep-spinner-loader-container wpep-hidden' ); ?>
      <input type="submit"
             class="submit-assessment wpep-button wpep-button-primary"
             name="wpep_assessment_submit"
             value="<?php echo count( $assessment_questions ) === 1 ? wpep_get_setting_translated( 'assessment-submit-singular' ) : wpep_get_setting_translated( 'assessment-submit' ) ; ?>">
      <?php if( !isset( $allow_answers_save ) || $allow_answers_save ) : ?>
      <input type="submit" class="save-assessment wpep-button wpep-button-secondary" name="wpep_assessment_save" value="<?php echo wpep_get_setting_translated( 'assessment-save' ); ?>">
      <?php endif; ?>
    <?php endif;?>

    <?php if( $user_status != 'pending' && isset( $return_button_url ) && $return_button_url !== '' ) : ?>
      <hr/>
      <ul class="wpep-assessment-nav-container">
        <li class="wpep-assessment-next-lesson">
          <a href="<?php echo $return_button_url; ?>" class="wpep-button wpep-button-primary wpep-button-arrow-right">
            <?php echo isset( $return_button_text ) ? $return_button_text : wpep_get_setting_translated( 'assessment-return-to-course' ); ?>
          </a>
        </li>
      </ul>
    <?php endif; ?>
  </div>
</form>

