<?php do_action( 'wpep_before_main_content' ); ?>

<?php

$coordinator_object = isset( $coordinator_object ) ? $coordinator_object : wpep_content_type_course_instance()->delivery;

$course_single_container_classes = [
  'row'         => 'row',
  'sidebar'     => ( wpep_content_primary_sidebar_active( $course_id ) ? 'sidebar-active' : 'sidebar-not-active' ),
  'course_type' => 'course-type-' . apply_filters( "wpep_single_content_type_alias", "none" ),
  'read_only'   => ( wpep_post_read_only( $course_id ) ? 'course-read-only' : 'course-not-read-only' ),
  'course'      => 'wpep-course-single'
];

if( wpep_get_setting_flag( 'show-lesson-hover-color' ) )
  $course_single_container_classes['hover_color'] = ' wpep-hover-color-enabled';

if( intval( get_post_meta( $course_id, 'wpep_sequential_completion', true ) ) )
  $course_single_container_classes['sequential_completion'] = 'wpep-sequential-completion';

$course_single_container_classes = apply_filters( 'wpep_single_content_type_attr_classes', $course_single_container_classes );

?>

<div class="<?php echo ( is_array( $course_single_container_classes ) ? implode( " ", $course_single_container_classes ) : 'row' ); ?>"
     data-content-type="<?php echo $coordinator_object->getCurrentDeliveryAlias(); ?>"
     data-time-spent-tracking="<?php echo wpep_get_setting_flag( 'enable-course-time-spent-option' ) && get_current_user_id() != 0 ? wp_create_nonce( "wpep_time_tracking_" . $course_id . '_' . get_current_user_id() ) : ''; ?>"
     data-enable-member-magnet-option="<?php echo intval( wpep_post_has_member_magnet_option( $course_id, get_current_user_id() ) ); ?>"
     data-member-magnet-login-link="<?php echo wpep_post_member_magnet_link( $course_id )?>"
     data-course-id="<?php echo $course_id; ?>"
     data-user-course-started-at="<?php echo get_current_user_id() == 0 || $coordinator_object->getCurrentDeliveryMethod()->read_only ? -1 : wpep_user_course_started_at( $course_id, get_current_user_id() ) ?>"
>
  <?php if( apply_filters( 'wpep_single_content_has_creator_toolbox', $coordinator_object->getCurrentDeliveryMethod()->has_creator_toolbox() ) ) : ?>
    <?php wpep_template_load( 'course-single/creator-toolbox.php', [ 'course_id' => $course_id ] ); ?>
  <?php endif ;?>

  <?php do_action( 'wpep_single_content_before_primary_container', $course_id ); ?>

  <div class="course-primary-container">
    <div class="course-primary-content" role="main">
      <?php echo $coordinator_object->get_current_course_content(); ?>
    </div>

  </div>

  <?php
    if( wpep_content_primary_sidebar_active( $course_id ) )
      do_action( 'wpep_single_content_sidebar', $course_id );
  ?>

  <div class="wpep-clearfix"></div>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>
