<?php if( apply_filters( 'wpep_course_single_content_include_header', true ) ) : ?>
  <h2 class="wpep-course-title"><?php echo $course_title; ?></h2>

  <?php if( !empty( $course_content ) ) : ?>
    <div class="wpep-content-from-editor wpep-course-content">
      <?php echo $course_content; ?>

      <div class="wpep-clearfix"></div>
    </div>
  <?php endif; ?>
<?php endif; ?>


<?php $is_disabled_final_assessment = false; ?>
<div data-wpep-entity-item-list="curriculum">
  <?php $current_section_index = 1; foreach( $course_sections as $section_id => $section ) : ?>
    <?php $is_disabled_section = ( isset( $section['options'] ) && isset( $section['options']['is_disabled'] ) && $section['options']['is_disabled'] );
          if( $is_disabled_section ) {
            $is_disabled_assessment = true;
            $is_disabled_final_assessment = true;
          } else {
            $is_disabled_assessment = false;
          }
    ?>
    <div data-wpep-entity-item-type="separator"
         data-wpep-course-item-type="section_title"
         data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_section ); ?>"
         data-wpep-course-item-is-completed="<?php echo intval( $section['is_completed'] ); ?>"
         data-wpep-course-item-is-visible-by-default="<?php echo $current_section_index >= 3 ? 0 : 1; ?>"
         class="<?php echo ( $current_section_index >= 3 ? 'wpep-hidden' : 'wpep-visible' ); ?>"
    >
      <h3 class="wpep-section-title"><?php echo $section['title']; ?></h3>

      <?php if( $is_disabled_section ) : ?>
      <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
      <?php endif;?>
    </div>

    <?php if( !isset( $section[ 'lessons' ] ) || empty( $section[ 'lessons' ] ) ) continue; ?>

    <?php foreach( $section[ 'lessons' ] as $section_lesson_id => $section_lesson ) : ?>
      <?php if( $is_disabled_section ) {
              $is_disabled = true;
            } elseif( isset( $section_lesson['options'] ) && isset( $section_lesson['options']['is_disabled'] ) && $section_lesson['options']['is_disabled'] ) {
              $is_disabled = true;
              $is_disabled_assessment = true;
              $is_disabled_final_assessment = true;
            } else {
              $is_disabled = false;
            }
      ?>

      <div data-wpep-entity-item-type="standard"
           data-wpep-course-item-type="lesson_title"
           data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled ); ?>"
           data-wpep-course-item-is-completed="<?php echo intval( $section_lesson['is_completed'] ); ?>"
           data-wpep-course-item-is-visible-by-default="<?php echo $current_section_index >= 3 ? 0 : 1; ?>"
           class="<?php echo ( $current_section_index >= 3 ? 'wpep-hidden' : 'wpep-visible' ); ?>"
      >
        <?php if( !$is_disabled ) : ?>
          <a href="<?php echo wpep_course_lesson_permalink( $section_lesson_id, $course_id ); ?>">
        <?php endif; ?>
        <h4 class="wpep-entity-item-title">
          <span data-wpep-icon-pack="<?php echo isset( $section_lesson['options'][ 'icon_pack_alias' ] ) ? $section_lesson['options'][ 'icon_pack_alias' ] : 'document' ?>">&nbsp;</span>
          <?php echo $section_lesson['title']; ?>
        </h4>
        <?php if( !$is_disabled ) : ?>
            <span class="wpep-button wpep-button-primary"><?php echo intval( $section_lesson['is_completed'] ) ? wpep_get_setting_translated( 'course-focus-overview-view' ) : wpep_get_setting_translated( 'course-focus-overview-start' ); ?></span>
          </a>
        <?php else : ?>
          <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
        <?php endif; ?>
      </div>
    <?php endforeach; ?>

    <?php if( wpep_assessments_enabled() ) : ?>
      <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, $section_id ); ?>

      <?php if( $assessment_id !== 0 ) : ?>
        <?php
          if( $is_disabled_assessment && !wpep_course_assessments_required( $course_id ) )
            $is_disabled_assessment = false;
        ?>
        <div data-wpep-entity-item-type="standard"
             data-wpep-course-item-type="assessment"
             data-wpep-course-item-status="<?php echo wpep_user_assessment_status( $assessment_id ); ?>"
             data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_assessment ); ?>"
             data-wpep-course-item-is-visible-by-default="<?php echo $current_section_index >= 3 ? 0 : 1; ?>"
             class="<?php echo ( $current_section_index >= 3 ? 'wpep-hidden' : 'wpep-visible' ); ?>"
        >
          <?php if( !$is_disabled_assessment ) : ?>
            <a href="<?php echo wpep_course_assessment_permalink( $assessment_id, $course_id ); ?>">
          <?php endif; ?>
              <h4 class="wpep-entity-item-title"><span data-wpep-icon-pack="university">&nbsp;</span><?php echo get_the_title( $assessment_id ); ?></h4>
          <?php if( !$is_disabled_assessment ) : ?>
              <span class="wpep-button wpep-button-primary"><?php echo wpep_get_setting_translated( 'course-focus-overview-assessment' ); ?></span>
            </a>
          <?php else : ?>
            <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
          <?php endif; ?>
        </div>
      <?php endif; ?>
    <?php endif; ?>
  <?php $current_section_index++; endforeach; ?>

  <?php if( isset( $section[ 'is_final' ] ) && $section[ 'is_final'] && wpep_assessments_enabled() ) : ?>
    <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, 0 ); ?>

    <?php if( $assessment_id !== 0 ) : ?>
      <?php
        if( $is_disabled_final_assessment && !wpep_course_assessments_required( $course_id ) )
          $is_disabled_final_assessment = false;
      ?>
      <div data-wpep-entity-item-type="standard"
           data-wpep-course-item-type="assessment"
           data-wpep-course-item-status="<?php echo wpep_user_assessment_status( $assessment_id ); ?>"
           data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_final_assessment ); ?>"
           data-wpep-course-item-is-visible-by-default="<?php echo $current_section_index >= 3 ? 0 : 1; ?>"
           class="<?php echo ( $current_section_index > 3 ? 'wpep-hidden' : 'wpep-visible' ); ?>"
      >
        <?php if( !$is_disabled_final_assessment ) : ?>
          <a href="<?php echo wpep_course_assessment_permalink( $assessment_id, $course_id ); ?>">
        <?php endif; ?>
            <h4 class="wpep-entity-item-title"><span data-wpep-icon-pack="university">&nbsp;</span><?php echo get_the_title( $assessment_id ); ?></h4>
        <?php if( !$is_disabled_final_assessment ) : ?>
            <span class="wpep-button wpep-button-primary"><?php echo wpep_get_setting_translated( 'course-focus-overview-assessment' ); ?></span>
          </a>
        <?php else : ?>
          <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
        <?php endif; ?>
      </div>
    <?php endif; ?>
  <?php endif; ?>

  <?php if( $current_section_index > 3 ) : ?>
    <div class="wpep-button wpep-button-primary wpep-curriculum-caret"><span data-wpep-icon-pack="down">&nbsp;</span></div>
  <?php endif; ?>
</div>