<div class="wpep-widget">
  <div class="wpep-widget-wrapper">
    <div class="focus-course-title-widget">
      <h2>
        <a href="<?php echo wpep_course_permalink( $course_id ); ?>">
          <?php echo get_the_title( $course_id ); ?>
        </a>
      </h2>
    </div>
  </div>
</div>
<?php if( wpep_course_has_progress_bar( $course_id ) ) : ?>
  <?php $progress_percent = wpep_user_course_progress_percentage( $course_id, get_current_user_id() );?>
<div class="wpep-widget">
  <div class="wpep-widget-wrapper">
    <div class="focus-course-progress-widget" data-has-percentage-bar="<?php echo wpep_course_has_progress_bar_percentage_number( $course_id ); ?>">
      <?php echo wpep_progress_bar( $progress_percent, false ); ?>
      <?php if( wpep_course_has_progress_bar_percentage_number( $course_id ) ) : ?>
        <div class="wpep-progress-bar-number-container"><span class="wpep-progress-bar-number"><?php echo wpep_get_percentage( $progress_percent ); ?></span><?php echo wpep_get_setting_translated( 'course-focus-percentage-text' ); ?></div>
      <?php endif; ?>
    </div>
  </div>
</div>
<?php endif; ?>
<div class="wpep-widget">
  <div class="wpep-widget-wrapper">
    <div class="focus-course-curriculum-widget">
      <?php $is_disabled_final_assessment = false; ?>
      <div data-wpep-entity-item-list="curriculum">
        <?php foreach( $course_sections as $section_id => $section ) : ?>
          <?php $is_disabled_section = ( isset( $section['options'] ) && isset( $section['options']['is_disabled'] ) && $section['options']['is_disabled'] );
          if( $is_disabled_section ) {
            $is_disabled_assessment = true;
            $is_disabled_final_assessment = true;
          } else {
            $is_disabled_assessment = false;
          }
          ?>
          <div data-wpep-entity-item-type="separator"
               data-wpep-course-item-type="section_title"
               data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_section ); ?>"
               data-wpep-course-item-is-completed="<?php echo intval( $section['is_completed'] ); ?>"
          >
            <h3 class="wpep-section-title"><?php echo $section['title']; ?></h3>
          </div>

          <?php if( !isset( $section[ 'lessons' ] ) || empty( $section[ 'lessons' ] ) ) continue; ?>

          <?php foreach( $section[ 'lessons' ] as $section_lesson_id => $section_lesson ) : ?>
            <?php if( $is_disabled_section ) {
              $is_disabled = true;
            } elseif( isset( $section_lesson['options'] ) && isset( $section_lesson['options']['is_disabled'] ) && $section_lesson['options']['is_disabled'] ) {
              $is_disabled = true;
              $is_disabled_assessment = true;
              $is_disabled_final_assessment = true;
            } else {
              $is_disabled = false;
            }
            ?>

            <div data-wpep-entity-item-type="standard"
                 data-wpep-course-item-type="<?php echo $current_lesson_id === $section_lesson_id ? 'current_lesson_title' : 'lesson_title'; ?>"
                 data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled ); ?>"
                 data-wpep-course-item-is-completed="<?php echo intval( $section_lesson['is_completed'] ); ?>"
            >
              <?php if( $is_disabled ) : ?>
                <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
              <?php else : ?>
                <span data-wpep-entity-item-status-indicator="<?php echo $section_lesson[ 'is_completed' ] ? 'item_completed' : 'item_pending'; ?>"><span data-wpep-indicator="<?php echo $section_lesson[ 'is_completed' ] ? 'item_completed' : 'item_pending'; ?>"></span></span>
              <?php endif; ?>
              <h4 class="wpep-entity-item-title">
                <?php if( !$is_disabled ) : ?>
                  <a href="<?php echo wpep_course_lesson_permalink( $section_lesson_id, $course_id ); ?>">
                    <span data-wpep-icon-pack="<?php echo isset( $section_lesson['options'][ 'icon_pack_alias' ] ) ? $section_lesson['options'][ 'icon_pack_alias' ] : 'document' ?>">&nbsp;</span>
                    <?php echo $section_lesson['title']; ?>
                  </a>
                <?php else : ?>
                  <span data-wpep-icon-pack="<?php echo isset( $section_lesson['options'][ 'icon_pack_alias' ] ) ? $section_lesson['options'][ 'icon_pack_alias' ] : 'document' ?>">&nbsp;</span>
                  <?php echo $section_lesson['title']; ?>
                <?php endif; ?>
              </h4>
            </div>
          <?php endforeach; ?>

          <?php if( wpep_assessments_enabled() ) : ?>
            <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, $section_id ); ?>

            <?php if( $assessment_id !== 0 ) : ?>
              <?php
                if( $is_disabled_assessment && !wpep_course_assessments_required( $course_id ) )
                  $is_disabled_assessment = false;
              ?>
              <?php $user_status = wpep_user_assessment_status( $assessment_id ); ?>
              <div data-wpep-entity-item-type="standard"
                   data-wpep-course-item-type="<?php echo $current_assessment_id == $assessment_id ? 'current_assessment' : 'assessment'; ?>"
                   data-wpep-course-item-status="<?php echo $user_status; ?>"
                   data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_assessment ); ?>"
                   data-wpep-course-item-is-completed="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED; ?>"
              >
                <?php if( $is_disabled ) : ?>
                  <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
                <?php else : ?>
                  <span data-wpep-entity-item-status-indicator="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED ? 'item_completed' : 'item_pending'; ?>"><span data-wpep-indicator="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED ? 'item_completed' : 'item_pending'; ?>"></span></span>
                <?php endif; ?>
                
                <h4 class="wpep-entity-item-title">
                  <?php if( !$is_disabled_assessment ) : ?>
                    <a href="<?php echo wpep_course_assessment_permalink( $assessment_id, $course_id ); ?>">
                      <span data-wpep-icon-pack="university">&nbsp;</span>
                      <?php echo get_the_title( $assessment_id ); ?>
                    </a>
                  <?php else : ?>
                    <span data-wpep-icon-pack="university">&nbsp;</span>
                    <?php echo get_the_title( $assessment_id ); ?>
                  <?php endif; ?>
                </h4>
              </div>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>

        <?php if( isset( $section[ 'is_final' ] ) && $section[ 'is_final'] && wpep_assessments_enabled() ) : ?>
          <?php $assessment_id = wpep_user_assessment_id_by_course_id( $course_id, 0 ); ?>

          <?php if( $assessment_id !== 0 ) : ?>
            <?php
              if( $is_disabled_final_assessment && !wpep_course_assessments_required( $course_id ) )
                $is_disabled_final_assessment = false;
            ?>
            <?php $user_status = wpep_user_assessment_status( $assessment_id ); ?>
            <div data-wpep-entity-item-type="standard"
                 data-wpep-course-item-type="<?php echo $current_assessment_id == $assessment_id ? 'current_assessment' : 'assessment'; ?>"
                 data-wpep-course-item-status="<?php echo $user_status; ?>"
                 data-wpep-course-item-is-disabled="<?php echo intval( $is_disabled_final_assessment ); ?>"
                 data-wpep-course-item-is-completed="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED; ?>"
            >
              <?php if( $is_disabled_final_assessment ) : ?>
                <span data-wpep-entity-item-status-indicator="lock"><i data-wpep-dashicon="lock"></i></span>
              <?php else : ?>
                <span data-wpep-entity-item-status-indicator="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED ? 'item_completed' : 'item_pending'; ?>"><span data-wpep-indicator="<?php echo $user_status === WPEP_USER_ASSESSMENT_STATUS_COMPLETED ? 'item_completed' : 'item_pending'; ?>"></span></span>
              <?php endif; ?>

              <h4 class="wpep-entity-item-title">
                <?php if( !$is_disabled_final_assessment ) : ?>
                  <a href="<?php echo wpep_course_assessment_permalink( $assessment_id, $course_id ); ?>">
                    <span data-wpep-icon-pack="university">&nbsp;</span>
                    <?php echo get_the_title( $assessment_id ); ?>
                  </a>
                <?php else : ?>
                  <span data-wpep-icon-pack="university">&nbsp;</span>
                  <?php echo get_the_title( $assessment_id ); ?>
                <?php endif; ?>
              </h4>
            </div>
          <?php endif; ?>
        <?php endif; ?>
      </div>
    </div>
  </div>
</div>