<?php
  $filters          = wpep_controller()->discussion->get( $discussion_namespace )->get_comment_types( $discussion_id );
  $active_filter    = '';
?>
<form class="wpep-post-comments-filter">
  <div class="wpep-post-comments-search-container">
    <label for="wpep-post-comments-search-<?php echo get_the_ID(); ?>"><?php echo wpep_get_setting_translated( 'comments-search-label' ); ?></label>
    <input id="wpep-post-comments-search-<?php echo get_the_ID(); ?>" type="text" name="wpep_post_search" value="<?php echo ( isset( $discussion_search_term ) ? $discussion_search_term : '' ); ?>">
  </div>

  <div class="wpep-post-comments-user-filter-container">
    <input id="wpep-post-comments-filter-by-user-id-<?php echo get_the_ID(); ?>"
           type="checkbox"
           name="wpep_post_filter_by_user_id"
           value="<?php echo get_current_user_id(); ?>">
    <label for="wpep-post-comments-filter-by-user-id-<?php echo get_the_ID(); ?>">
      <?php echo wpep_get_setting_translated( 'comments-filter-mine' ); ?>
    </label>
  </div>

  <div class="wpep-clearfix"></div>

  <?php if( is_array( $filters ) && !empty($filters ) ) : ?>
    <ul class="wpep-post-comment-filter-by-type">
      <?php foreach( $filters as $filter_alias => $filter_information ) : ?>
        <li data-wpep-filter-alias="<?php echo $filter_alias; ?>"
            <?php echo $active_filter === $filter_alias ? 'class="wpep-active"' : ''; ?>>
          <?php if( $filter_information['icon'] !== 'none' ) : ?>
          <span class="wpep-icon <?php echo $filter_information['icon']; ?>"></span>
          <?php endif; ?>
          <?php echo $filter_information['title']; ?>
        </li>
      <?php endforeach; ?>
    </ul>
  <?php endif; ?>
</form>