<div <?php echo isset( $alias ) ? 'id="wpep-tabs-container-' . $alias . '"' : ''; ?>
     class="wpep-tabs-container"
     data-tab-format="<?php echo isset( $tab_link_format ) ? $tab_link_format : 'alias' ; ?>"
     data-tab-has-more-items-container="<?php echo ( isset( $has_more_container ) && $has_more_container ? 1 : 0 ); ?>"
     data-tab-default-tab-position="<?php echo isset( $default_tab_position ) ? $default_tab_position : 'first'; ?>"
     data-tab-has-expanding="<?php echo isset( $has_expanding ) && $has_expanding ? 1 : 0; ?>"
>
  <select class="wpep-tab-select wpep-tab-title-items-<?php echo count( $tabs ); ?>">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <option value="<?php echo $tab_item_key; ?>"
              data-wpep-label="<?php echo sanitize_title( $tab_item['title'] ); ?>">
        <?php echo $tab_item['title']; ?><?php echo isset( $tab_item['entries_count'] ) ? ' (' . $tab_item['entries_count'] . ')' : '' ?>
      </option>
    <?php endforeach; ?>
  </select>
  <ul class="wpep-tab-title-list wpep-tab-title-items-<?php echo count( $tabs ); ?>">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <li class="wpep-tab-item"
          id="wpep-tab-item-<?php echo $tab_item_key; ?>"
          data-wpep-tab="<?php echo $tab_item_key; ?>"
      ><?php echo $tab_item['title']; ?><?php echo isset( $tab_item['entries_count'] ) ? ' <span>(' . $tab_item['entries_count'] . ')</span>' : '' ?></li>
    <?php endforeach; ?>
    <?php if( isset( $has_more_container ) && $has_more_container ) : ?>
      <li class="wpep-tab-item wpep-tab-item-more">
        <span class="wpep-tab-item-more-text">...</span>
        <ul class="wpep-tab-item-more-items">

        </ul>
      </li>
    <?php endif; ?>
  </ul>
  <?php if( isset( $has_expanding ) && $has_expanding ) : ?>
    <span class="wpep-tab-item-expand" data-wpep-tab-item-expand-status="closed"></span>
  <?php endif; ?>

  <div class="wpep-clearfix"></div>
  <div class="wpep-tab-content-list">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <?php if( is_array( $tab_item['content'] ) ) : ?>
        <div class="wpep-tab-item-content"
             id="wpep-tab-item-<?php echo $tab_item_key; ?>-content"
             data-wpep-tab="<?php echo $tab_item_key; ?>"
             data-wpep-tab-content-xhr-reload-on-switch="<?php echo isset( $tab_item[ 'content' ][ 'reload_on_switch' ] ) ? intval( $tab_item[ 'content' ][ 'reload_on_switch' ] ) : 0 ?>"
             data-wpep-tab-content-xhr-action="<?php echo $tab_item['content']['action']; ?>"
             data-wpep-tab-content-xhr-args="<?php echo is_array( $tab_item['content']['action_args'] ) ? esc_attr( json_encode( $tab_item['content']['action_args'] ) ) : $tab_item['content']['action_args']; ?>"
        ></div>
      <?php elseif( isset( $tab_item['content'] ) && is_string( $tab_item['content'] ) ) : ?>
        <div class="wpep-tab-item-content" id="wpep-tab-item-<?php echo $tab_item_key; ?>-content" data-wpep-tab="<?php echo $tab_item_key; ?>">
          <?php echo ( strpos( $tab_item['content'], '[' ) === 0 ? do_shortcode( $tab_item['content'] ) : $tab_item['content']  ); ?>
        </div>
      <?php endif; ?>
    <?php endforeach; ?>
  </div>
  <div class="wpep-clearfix"></div>
</div>