<?php
  if( !isset( $user_social_networks ) ) {
    if( isset( $user_information ) ) {
      $user_social_networks = get_user_meta( $user_information->ID, WPEP_USER_META_SOCIAL_NETWORK_PROFILES, true );
      $user_social_networks = ( is_array( $user_social_networks ) ? $user_social_networks : [] );
    } else {
      $user_social_networks = [];
    }
  }

  $mapped_active_social_networks = wpep_user_profile_social_network_platform_list_active();

  foreach( $mapped_active_social_networks as $mapped_active_social_network_key => $mapped_active_social_network_value ) {
    if( !isset( $user_social_networks[ $mapped_active_social_network_key ] ) ) {
      unset( $mapped_active_social_networks[ $mapped_active_social_network_key ] );

      continue;
    }

    $mapped_active_social_networks[ $mapped_active_social_network_key ][ 'value' ] = $user_social_networks[ $mapped_active_social_network_key ];
  }

  $mapped_active_social_networks = wpep_utilities_map_array( $mapped_active_social_networks, 'type', 'alias' );
?>

<?php if( isset( $mapped_active_social_networks['text'] ) && !empty( $mapped_active_social_networks['text'] ) ) : ?>
  <div data-wpep-user-social-media-networks="text">
    <?php foreach( $mapped_active_social_networks['text'] as $social_network_key => $social_network_information ) : ?>
      <p class="user-social-media-network">
        <span data-wpep-icon-pack-type="social" data-wpep-icon-pack="<?php echo $social_network_information['alias']; ?>"></span>
        <span class="wpep-without-link"><?php echo $social_network_information['value']; ?></span>
      </p>
    <?php endforeach; ?>
  </div>
<?php endif; ?>

<?php if( isset( $mapped_active_social_networks['link'] ) && !empty( $mapped_active_social_networks['link'] ) ) : ?>
  <?php $mapped_active_social_network_link_count = count( $mapped_active_social_networks['link'] ); ?>
  <div data-wpep-user-social-media-networks="link"
       data-wpep-user-social-media-networks-items-per-row="<?php echo $mapped_active_social_network_link_count < 10 ? 10 : ( ceil( $mapped_active_social_network_link_count / 10 ) < 5 ); ?>"
       data-wpep-user-social-media-networks-items="<?php echo $mapped_active_social_network_link_count; ?>">
    <?php foreach( $mapped_active_social_networks['link'] as $social_network_key => $social_network_information ) : ?>
      <div class="user-social-media-network">
        <a href="<?php echo $social_network_information['value']; ?>" target="_blank" rel="nofollow"><span data-wpep-icon-pack-type="social" data-wpep-icon-pack="<?php echo $social_network_information['alias']; ?>"></span></a>
      </div>
    <?php endforeach; ?>
  </div>
<?php endif; ?>