<?php
if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();
?>

<?php do_action( 'wpep_before_main_content' ); ?>

<form class="wpep-user-agreement-container" method="POST">
  <?php wp_nonce_field( 'wpep-agreement-' . get_current_user_id(), 'nonce', false, true ); ?>
  <div class="wpep-content-from-editor wpep-agreement-introduction">
    <?php echo wpep_format_content( wpep_get_setting_translated( 'user-agreement-introduction-text' ) ); ?>
  </div>

  <?php wpep_template_load( 'partial/user-agreement-fields.php' ); ?>

  <div class="wpep-notification-container wpep-hidden"></div>

  <div class="wpep-agreement-operations">
    <button class="wpep-button wpep-button-primary"><?php echo wpep_get_setting_translated( 'user-agreement-button-accept' ); ?></button>
    <a class="wpep-button wpep-button-secondary" href="<?php echo wpep_get_setting( 'user-agreement-button-decline-page', get_site_url() ); ?>">
      <?php echo wpep_get_setting_translated( 'user-agreement-button-decline' ); ?>
    </a>
    <?php echo wpep_spinner_loader( false, 'wpep-spinner-loader-container wpep-hidden' ); ?>
  </div>

</form>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();
?>