<form class="wpep-user-manage-notifications"
     data-wpep-user-id="<?php echo $user_id; ?>">

  <h2><?php echo wpep_get_setting_translated( 'user-profile-email-notification-management-title' ); ?></h2>

  <?php if( $user_id != get_current_user_id() ) : ?>
  <p><strong><?php echo wpep_content_user_profile_format_name( $user_id ); ?></strong></p>
  <?php endif; ?>

  <ul class="wpep-user-manage-notifications-list">
    <li data-wpep-user-notification-identifier="platform_wide"
        data-wpep-user-notification-status="<?php echo intval( $has_email_notifications ); ?>"
        data-wpep-user-notification-status-sync-stage="pending">
      <label>
        <input type="checkbox" class="wpep-user-notification-status-checkbox" <?php wpep_utility_checked( $has_email_notifications ); ?>/>
        <span class="wpep-notification-name"><?php echo wpep_get_setting_translated( 'user-profile-email-notification-general' ); ?></span>
      </label>
      <div class="wpep-mini-spinner-loader"><div></div><div></div><div></div><div></div></div>
    </li>

    <?php if( wpep_get_setting_flag( 'email-weekly-recap-status' ) ) : ?>
      <li data-wpep-user-notification-identifier="weekly_recap"
          data-wpep-user-notification-status="<?php echo intval( $has_weekly_recap ); ?>"
          data-wpep-user-notification-status-sync-stage="pending">
        <label>
          <input type="checkbox" class="wpep-user-notification-status-checkbox" <?php wpep_utility_checked( $has_weekly_recap ); ?>/>
          <span class="wpep-notification-name"><?php echo wpep_get_setting_translated( 'user-profile-email-notification-weekly-recap' ); ?></span>
        </label>
        <div class="wpep-mini-spinner-loader"><div></div><div></div><div></div><div></div></div>
      </li>
    <?php endif; ?>

    <?php if( !empty( $discussions ) ) : ?>

      <?php foreach( $discussions as $discussion ) : ?>
        <?php $discussionIntegration = wpep_controller()->discussion->get( $discussion->namespace ); ?>
        <?php if( $discussionIntegration === false ) continue; ?>

        <?php $discussion_name = $discussionIntegration->get_discussion_name( $discussion ); ?>

        <?php if( $discussion_name === '' ) continue; ?>

        <?php $status = isset( $discussion->user_data[ WPEP_DISCUSSION_USER_DATA_EMAIL_NOTIFICATION_STATUS ] ) ? $discussion->user_data[ WPEP_DISCUSSION_USER_DATA_EMAIL_NOTIFICATION_STATUS ] : true; ?>
        <li data-wpep-user-notification-identifier="discussion:<?php echo $discussion->id; ?>"
            data-wpep-user-notification-status="<?php echo intval( $status ); ?>"
            data-wpep-user-notification-status-sync-stage="pending">
          <label>
            <input type="checkbox" class="wpep-user-notification-status-checkbox" <?php wpep_utility_checked( $status ); ?>/>
            <span class="wpep-notification-name"><?php echo $discussion_name; ?></span>
          </label>
          <div class="wpep-mini-spinner-loader"><div></div><div></div><div></div><div></div></div>
        </li>
      <?php endforeach; ?>

    <?php endif; ?>
  </ul>
</form>