<?php
/**
 * Plugin Name: eLearnCommerce
 * Plugin URI: https://elearncommerce.com
 * Description: A Plugin that enables you to turn your WordPress Site into a learning management system in a blink of an eye.
 * Version: 1.12.27.10
 * Author: eLearnCommerce
 * Author URI: https://elearncommerce.com
 * Text Domain:wpep
 * Domain Path: /languages/
 */

if( !defined( 'WPEP_VERSION' ) )
  define( "WPEP_VERSION", '1.12.27.10' );
if( !defined( 'WPEP_BASE_FILE_PATH' ) )
  define( "WPEP_BASE_FILE_PATH", __FILE__ );
if( !defined( 'WPEP_BASE_PATH' ) )
  define( "WPEP_BASE_PATH", dirname( WPEP_BASE_FILE_PATH ) );
if( !defined( 'WPEP_BASE_URL_PATH' ) )
  define( "WPEP_BASE_URL_PATH", plugin_dir_url( WPEP_BASE_FILE_PATH ) );
if( !defined( 'WPEP_PLUGIN_IDENTIFIER' ) )
  define( "WPEP_PLUGIN_IDENTIFIER", ltrim( str_ireplace( dirname( WPEP_BASE_PATH ), '', WPEP_BASE_FILE_PATH ), '/' ) );

require_once WPEP_BASE_PATH . "/lib/definitions.php";

require_once WPEP_BASE_PATH . "/autoload.php";

require_once WPEP_BASE_PATH . "/lib/integrations/AddOn.php";
require_once WPEP_BASE_PATH . "/lib/integrations/AddOn_Settings.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Content_Library.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Data_Third_Party_Import.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Discussion.php";
require_once WPEP_BASE_PATH . "/lib/integrations/Email_Marketing.php";
require_once WPEP_BASE_PATH . "/lib/integrations/License_And_Updates.php";
require_once WPEP_BASE_PATH . "/lib/CronController.php";

wp_oembed_add_provider(
  '/https?\:\/\/(.+)?(wistia\.com|wi\.st)\/.*/',
  'https://fast.wistia.com/oembed',
  true
);

WPEP\PlatformHealth::instance()->setup();

WPEP\Controller::instance()->setup();
WPEP\ContentTaxonomy::instance()->setup();
WPEP\ContentType::instance()->setup();
WPEP\DataSystem::instance()->setup();
WPEP\API::instance()->setup();

require_once WPEP_BASE_PATH . "/lib/deprecated.php";